diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index a5eed76..f9479e0 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -462,7 +462,7 @@ itself (don't break this) and never exits.
 When a lisp image containing code is reloaded there is a hook to
 allow a function to be called. In our case it is the restart
 function which is the entry to the Axiom interpreter.
-<<defun set-restart-hook>>=
+<<defun set-restart-hook 0>>=
 (defun set-restart-hook ()
   "Set the restart hook"
   #+KCL (setq system::*top-level-hook* 'restart)
@@ -684,7 +684,7 @@ information is initialized.
 @
 \defun{resetStackLimits}{Reset the stack limits}
 \calls{resetStackLimits}{reset-stack-limits}
-<<defun resetStackLimits>>=
+<<defun resetStackLimits 0>>=
 (defun |resetStackLimits| () 
  "Reset the stack limits"
  (system:reset-stack-limits))
@@ -986,7 +986,7 @@ will end up as a recursive call to ourselves.
 \section{Helper Functions}
 \defunsec{getenviron}{Get the value of an evironment variable}
 \calls{getenviron}{getenv}
-<<defun getenviron>>=
+<<defun getenviron 0>>=
 (defun getenviron (var)
  "Get the value of an evironment variable"
  #+allegro (sys::getenv (string var))
@@ -1112,7 +1112,7 @@ This function performs those setup commands.
 \calls{init-memory-config}{allocate-contiguous-pages}
 \calls{init-memory-config}{allocate-relocatable-pages}
 \calls{init-memory-config}{set-hole-size}
-<<defun init-memory-config>>=
+<<defun init-memory-config 0>>=
 (defun init-memory-config (&key
                            (cons 500)
                            (fixnum 200)
@@ -1162,7 +1162,7 @@ of the {\bf AXIOM} shell variable at build time) if we can't.
 If the prefix string is the same as the whole string initial characters
 --R(ignoring spaces in the whole string) then we return the whole string
 minus any leading spaces.
-<<defun intloopPrefix?>>=
+<<defun intloopPrefix? 0>>=
 (defun |intloopPrefix?| (prefix whole)
  "Does the string start with this prefix?"
  (let ((newprefix (string-left-trim '(#\space) prefix))
@@ -1186,7 +1186,7 @@ This is used to hande {\tt )lisp} top level commands
 @
 
 \defunsec{get-current-directory}{Get the current directory}
-<<defun get-current-directory>>=
+<<defun get-current-directory 0>>=
 (defun get-current-directory ()
  "Get the current directory"
   (namestring (truename "")))
@@ -1196,7 +1196,7 @@ This is used to hande {\tt )lisp} top level commands
 \defunsec{make-absolute-filename}{Prepend the absolute path to a filename}
 Prefix a filename with the {\bf AXIOM} shell variable.
 \usesdollar{make-absolute-filename}{spadroot}
-<<defun make-absolute-filename>>=
+<<defun make-absolute-filename 0>>=
 (defun make-absolute-filename (name)
  "Prepend the absolute path to a filename"
  (declare (special $spadroot))
@@ -1207,7 +1207,7 @@ Prefix a filename with the {\bf AXIOM} shell variable.
 \defunsec{makeInitialModemapFrame}{Make the initial modemap frame}
 \calls{makeInitialModemapFrame}{copy}
 \usesdollar{makeInitialModemapFrame}{InitialModemapFrame}
-<<defun makeInitialModemapFrame>>=
+<<defun makeInitialModemapFrame 0>>=
 (defun |makeInitialModemapFrame| ()
   "Make the initial modemap frame"
   (declare (special |$InitialModemapFrame|)) 
@@ -1219,7 +1219,7 @@ Prefix a filename with the {\bf AXIOM} shell variable.
 The ncloopEscaped function will return true if the last non-blank
 character of a line is an underscore, the Axiom line-continuation
 character. Otherwise, it returns nil.
-<<defun ncloopEscaped>>=
+<<defun ncloopEscaped 0>>=
 (defun |ncloopEscaped| (x)
  (let ((l (length x)))
   (dotimes (i l)
@@ -1298,7 +1298,7 @@ character. Otherwise, it returns nil.
 
 \defunsec{reclaim}{Call the garbage collector}
 Call the garbage collector on various platforms.
-<<defun reclaim>>=
+<<defun reclaim 0>>=
 #+abcl 
 (defun reclaim () "Call the garbage collector" (ext::gc))
 #+:allegro
@@ -1413,7 +1413,7 @@ Note I suspect the last two cases do not occur in practice since
 they result in a dotted pair if the input is not a cons. However,
 this is what the current code does so I won't change it.
 \usesdollar{setCurrentLine}{currentLine}
-<<defun setCurrentLine>>=
+<<defun setCurrentLine 0>>=
 (defun |setCurrentLine| (s)
  (declare (special |$currentLine|))
  (cond 
@@ -2195,7 +2195,7 @@ It is controlled with the {\tt )se me any} command.
 
 \defun{printAsTeX}{printAsTeX}
 \usesdollar{printAsTeX}{texOutputStream}
-<<defun printAsTeX>>=
+<<defun printAsTeX 0>>=
 (defun |printAsTeX| (x)
  (declare (special |$texOutputStream|)) 
  (princ x |$texOutputStream|)) 
@@ -2208,7 +2208,7 @@ sameUnionBranch(uArg, m) ==
   uArg is [":", ., t] => t = m
   uArg = m
 \end{verbatim}
-<<defun sameUnionBranch>>=
+<<defun sameUnionBranch 0>>=
 (defun |sameUnionBranch| (uArg m)
  (let (t1 t2 t3)
  (cond
@@ -2428,7 +2428,7 @@ phParse: carrier[tokens,...] -> carrier[ptree, tokens,...]
 
 \defun{packageTran}{packageTran}
 \calls{packageTran}{packageTran}
-<<defun packageTran>>=
+<<defun packageTran 0>>=
 (defun |packageTran| (sex)
  (cond
   ((symbolp sex)
@@ -2499,7 +2499,7 @@ carrier[lines,messages,..]-> carrier[lines,messages,..]
 
 \defun{zeroOneTran}{zeroOneTran}
 \calls{zeroOneTran}{nsubst}
-<<defun zeroOneTran>>=
+<<defun zeroOneTran 0>>=
 (defun |zeroOneTran| (sex)
  (nsubst '|$EmptyMode| '? sex))
 
@@ -2539,7 +2539,7 @@ carrier[lines,messages,..]-> carrier[lines,messages,..]
 
 \defun{ncError}{ncError}
 \throws{ncError}{SpadCompileItem}
-<<defun ncError>>=
+<<defun ncError 0>>=
 (defun |ncError| ()
  (throw '|SpadCompileItem| '|ncError|))
 
@@ -2577,7 +2577,7 @@ carrier[lines,messages,..]-> carrier[lines,messages,..]
 ;        for line in lines repeat WRITE_-LINE CDR line
 ;        WRITE_-LINE '" "
 \end{verbatim}
-<<defun ncloopPrintLines>>=
+<<defun ncloopPrintLines 0>>=
 (defun |ncloopPrintLines| (lines)
  ((lambda (Var4 line)
   (loop
@@ -2628,7 +2628,7 @@ carrier[lines,messages,..]-> carrier[lines,messages,..]
 ;      return value
 ;  value
 \end{verbatim}
-<<defun nonBlank>>=
+<<defun nonBlank 0>>=
 (defun |nonBlank| (str)
  (let (value)
   ((lambda (Var3 i)
@@ -2810,7 +2810,7 @@ contiguous comment spanning enough lines to overflow the stack.
 \defun{incHandleMessage}{incHandleMessage}
 \calls{incHandleMessage}{ncSoftError}
 \calls{incHandleMessage}{ncBug}
-<<defun incHandleMessage>>=
+<<defun incHandleMessage 0>>=
 (defun |incHandleMessage| (x)
  "Message handling for the source includer"
  (let ((msgtype (elt (elt x 1) 1))
@@ -2892,7 +2892,7 @@ contiguous comment spanning enough lines to overflow the stack.
 
 \defvar{Top?}
 \calls{Top?}{quotient}
-<<defun Top?>>=
+<<defun Top? 0>>=
 (defun |Top?| (|st|)
  "used in incLude1 for parsing"
  (eql (quotient |st| 10) 0))
@@ -3246,14 +3246,14 @@ contiguous comment spanning enough lines to overflow the stack.
 
 \defun{inclmsgPrematureEOF}{inclmsgPrematureEOF}
 \calls{inclmsgPrematureEOF}{origin}
-<<defun inclmsgPrematureEOF>>=
+<<defun inclmsgPrematureEOF 0>>=
 (defun |inclmsgPrematureEOF| (ufo)
  (list 'S2CI0002 (list (|theorigin| ufo))))
 
 @
 
 \defun{theorigin}{theorigin}
-<<defun theorigin>>=
+<<defun theorigin 0>>=
 (defun |theorigin| (x) (list #'|porigin| x))
 
 @
@@ -3313,7 +3313,7 @@ contiguous comment spanning enough lines to overflow the stack.
 @
 
 \defun{theid}{theid}
-<<defun theid>>=
+<<defun theid 0>>=
 (defun |theid| (a) (list identity a))
 
 @
@@ -3337,7 +3337,7 @@ contiguous comment spanning enough lines to overflow the stack.
 
 \defun{thefname}{thefname}
 \calls{thefname}{pfname}
-<<defun thefname>>=
+<<defun thefname 0>>=
 (defun |thefname| (x) (list #'|pfname| x))
 
 @
@@ -3461,7 +3461,7 @@ contiguous comment spanning enough lines to overflow the stack.
 @
 
 \defun{inclmsgConsole}{inclmsgConsole}
-<<defun inclmsgConsole>>=
+<<defun inclmsgConsole 0>>=
 (defun |inclmsgConsole| ()
  (list 'S2CI0005 nil))
 
@@ -3478,7 +3478,7 @@ contiguous comment spanning enough lines to overflow the stack.
 @
 
 \defun{inclmsgFinSkipped}{inclmsgFinSkipped}
-<<defun inclmsgFinSkipped>>=
+<<defun inclmsgFinSkipped 0>>=
 (defun |inclmsgFinSkipped| ()
  (list 'S2CI0008 nil))
 
@@ -3562,7 +3562,7 @@ contiguous comment spanning enough lines to overflow the stack.
 @
 
 \defun{inclmsgIfBug}{inclmsgIfBug}
-<<defun inclmsgIfBug>>=
+<<defun inclmsgIfBug 0>>=
 (defun |inclmsgIfBug| ()
   (list 'S2CB0002 nil))
 
@@ -3578,7 +3578,7 @@ contiguous comment spanning enough lines to overflow the stack.
 @
 
 \defun{inclmsgCmdBug}{inclmsgCmdBug}
-<<defun inclmsgCmdBug>>=
+<<defun inclmsgCmdBug 0>>=
 (defun |inclmsgCmdBug| ()
  (list 'S2CB0003 nil))
 
@@ -3678,7 +3678,7 @@ b ==> 7
 
 \defun{incCommand?}{incCommand?}
 \calls{incCommand?}{char}
-<<defun incCommand?>>=
+<<defun incCommand? 0>>=
 (defun |incCommand?| (s)
   "does this start with a close paren?"
   (and (< 0 (length s)) (equal (elt s 0) (|char| '|)|))))
@@ -3694,7 +3694,7 @@ b ==> 7
 ;                good:= prefix.i = whole.j
 ;            good
 \end{verbatim}
-<<defun incPrefix?>>=
+<<defun incPrefix? 0>>=
 (defun |incPrefix?| (prefix start whole)
  (let (good)
   (cond
@@ -3725,7 +3725,7 @@ b ==> 7
 
 \defun{incDrop}{incDrop}
 \calls{incDrop}{substring}
-<<defun incDrop>>=
+<<defun incDrop 0>>=
 (defun |incDrop| (n b)
  (if (>= n (length b)) 
   '||
@@ -3772,7 +3772,7 @@ b ==> 7
 @
 
 \defun{incActive?}{incActive?}
-<<defun incActive?>>=
+<<defun incActive? 0>>=
 (defun |incActive?| (fn ufos)
  (member fn ufos))
 
@@ -3789,7 +3789,7 @@ Note that incRgen1 recursively calls this function.
 @
 
 \defun{Delay}{Delay}
-<<defun Delay>>=
+<<defun Delay 0>>=
 (defun |Delay| (f x)
  (cons '|nonnullstream| (cons f x)))
 
@@ -4251,7 +4251,7 @@ returning the token-dq and the rest of the line-stream
 
 \defun{lfid}{lfid}
 To pair badge and badgee
-<<defun lfid>>=
+<<defun lfid 0>>=
 (defun |lfid| (x)
  (list '|id| (intern x "BOOT")))
 
@@ -4297,7 +4297,7 @@ To pair badge and badgee
 @
 
 \defun{lfcomment}{lfcomment}
-<<defun lfcomment>>=
+<<defun lfcomment 0>>=
 (defun |lfcomment| (x)
  (list '|comment| x))
 
@@ -4342,7 +4342,7 @@ To pair badge and badgee
 @
 
 \defun{lfnegcomment}{lfnegcomment}
-<<defun lfnegcomment>>=
+<<defun lfnegcomment 0>>=
 (defun |lfnegcomment| (x)
  (list '|negcomment| x))
 
@@ -4460,7 +4460,7 @@ To pair badge and badgee
 
 \defun{keyword}{keyword}
 \calls{keyword}{hget}
-<<defun keyword>>=
+<<defun keyword 0>>=
 (defun |keyword| (st)
  (hget |scanKeyTable| st))
 
@@ -4468,7 +4468,7 @@ To pair badge and badgee
 
 \defun{keyword?}{keyword?}
 \calls{keyword?}{hget}
-<<defun keyword?>>=
+<<defun keyword? 0>>=
 (defun |keyword?| (st)
  (null (null (hget |scanKeyTable| st))))
 
@@ -4654,7 +4654,7 @@ To pair badge and badgee
 \defun{scanCloser?}{scanCloser?}
 \calls{scanCloser?}{keyword}
 \uses{scanCloser?}{scanCloser}
-<<defun scanCloser?>>=
+<<defun scanCloser? 0>>=
 (defun |scanCloser?| (w)
  (declare (special |scanCloser|))
  (member (|keyword| w) |scanCloser|))
@@ -4738,14 +4738,14 @@ To pair badge and badgee
 
 \defun{lffloat}{lffloat}
 \calls{lffloat}{concat}
-<<defun lffloat>>=
+<<defun lffloat 0>>=
 (defun |lffloat| (a w e)
  (list '|float| (concat a "." w "e" e)))
 
 @
 
 \defmacro{idChar?}
-<<defmacro idChar?>>=
+<<defmacro idChar? 0>>=
 (defmacro |idChar?| (x)
  `(or (alphanumericp ,x) (member ,x '(#\? #\% #\' #\!) :test #'char=)))
  
@@ -4826,7 +4826,7 @@ NOTE: do not replace ``lyne'' with ``line''
 @
 
 \defun{lfspaces}{lfspaces}
-<<defun lfspaces>>=
+<<defun lfspaces 0>>=
 (defun |lfspaces| (x)
  (list '|spaces| x))
 
@@ -4847,7 +4847,7 @@ NOTE: do not replace ``lyne'' with ``line''
 @
 
 \defun{lfstring}{lfstring}
-<<defun lfstring>>=
+<<defun lfstring 0>>=
 (defun |lfstring| (x)
  (if (eql (length x) 1)
   (list '|char| x)
@@ -4968,14 +4968,14 @@ NOTE: do not replace ``lyne'' with ``line''
 
 \defun{rdigit?}{rdigit?}
 \calls{rdigit?}{strpos}
-<<defun rdigit?>>=
+<<defun rdigit? 0>>=
 (defun |rdigit?| (x)
  (strpos x "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ" 0 nil))
 
 @
 
 \defun{lfinteger}{lfinteger}
-<<defun lfinteger>>=
+<<defun lfinteger 0>>=
 (defun |lfinteger| (x)
  (list '|integer| x))
 
@@ -4983,7 +4983,7 @@ NOTE: do not replace ``lyne'' with ``line''
 
 \defun{lfrinteger}{lfrinteger}
 \calls{lfrinteger}{concat}
-<<defun lfrinteger>>=
+<<defun lfrinteger 0>>=
 (defun |lfrinteger| (r x)
  (list '|integer| (concat r (concat "r" x))))
 
@@ -5056,7 +5056,7 @@ NOTE: do not replace ``lyne'' with ``line''
 @
 
 \defun{lferror}{lferror}
-<<defun lferror>>=
+<<defun lferror 0>>=
 (defun |lferror| (x)
  (list '|error| x))
 
@@ -5351,7 +5351,7 @@ where head is either an id or (id . alist)
 
 \defun{npPush}{Push one item onto \$stack}
 \usesdollar{npPush}{stack}
-<<defun npPush>>=
+<<defun npPush 0>>=
 (defun |npPush| (x)
  (declare (special |$stack|))
   (push x |$stack|))
@@ -5360,7 +5360,7 @@ where head is either an id or (id . alist)
 
 \defun{npPop1}{Pop one item off \$stack}
 \usesdollar{npPop1}{stack}
-<<defun npPop1>>=
+<<defun npPop1 0>>=
 (defun |npPop1| ()
  (declare (special |$stack|))
  (pop |$stack|))
@@ -5369,7 +5369,7 @@ where head is either an id or (id . alist)
 
 \defun{npPop2}{Pop the second item off \$stack}
 \usesdollar{npPop2}{stack}
-<<defun npPop2>>=
+<<defun npPop2 0>>=
 (defun |npPop2| ()
  (let (a) 
  (declare (special |$stack|))
@@ -5380,7 +5380,7 @@ where head is either an id or (id . alist)
 
 \defun{npPop3}{Pop the third item off \$stack}
 \usesdollar{npPop3}{stack}
-<<defun npPop3>>=
+<<defun npPop3 0>>=
 (defun |npPop3| () 
  (let (a)
  (declare (special |$stack|))
@@ -5663,7 +5663,7 @@ and the current token (\$ttok)
 \defun{npEqPeek}{Peek for keyword s, no advance of token stream}
 \usesdollar{npEqPeek}{ttok}
 \usesdollar{npEqPeek}{stok}
-<<defun npEqPeek>>=
+<<defun npEqPeek 0>>=
 (defun |npEqPeek| (s)
  (declare (special |$ttok| |$stok|))
   (and (eq (caar |$stok|) '|key|) (eq s |$ttok|)))
@@ -6051,7 +6051,7 @@ and the current token (\$ttok)
 
 \defun{npAnyNo}{npAnyNo}
 fn must transform the head of the stack
-<<defun npAnyNo>>=
+<<defun npAnyNo 0>>=
 (defun |npAnyNo| (fn)
  (do () ((not (apply fn nil)))) ; while apply do...
  t) 
@@ -8401,7 +8401,7 @@ carrier[ptree,...] -> carrier[ptree, ptreePremacro,...]
 \defun{mac0InfiniteExpansion,name}{mac0InfiniteExpansion,name}
 \calls{mac0InfiniteExpansion,name}{mac0GetName}
 \calls{mac0InfiniteExpansion,name}{pname}
-<<defun mac0InfiniteExpansion,name>>=
+<<defun mac0InfiniteExpansion,name 0>>=
 (defun |mac0InfiniteExpansion,name| (b)
  (let (st sy got)
   (setq got (|mac0GetName| b))
@@ -8577,7 +8577,7 @@ the original Macro pform.
 
 \defun{mac0Define}{Add a macro to the global pfMacros list}
 \usesdollar{mac0Define}{pfMacros}
-<<defun mac0Define>>=
+<<defun mac0Define 0>>=
 (defun |mac0Define| (sy state body)
  (declare (special |$pfMacros|))
   (setq |$pfMacros| (cons (list sy state body) |$pfMacros|)))
@@ -9256,7 +9256,7 @@ of the form ('expression expr position)
 
 \defun{pfLiteral?}{Is this a Literal node?}
 \calls{pfLiteral?}{pfAbSynOp}
-<<defun pfLiteral?>>=
+<<defun pfLiteral? 0>>=
 (defun |pfLiteral?| (form)
  (member (|pfAbSynOp| form)
   '(|integer| |symbol| |expression| |one| |zero| |char| |string| |float|)))
@@ -9280,14 +9280,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfParts}{Return the parts of a tree node}
-<<defun pfParts>>=
+<<defun pfParts 0>>=
 (defun |pfParts| (form)
  (cdr form))
 
 @
 
 \defun{pfPile}{Return the argument unchanged}
-<<defun pfPile>>=
+<<defun pfPile 0>>=
 (defun |pfPile| (part)
  part)
 
@@ -9395,7 +9395,7 @@ of the form ('expression expr position)
 \section{Trees}
 
 \defun{pfTree}{Construct a tree node}
-<<defun pfTree>>=
+<<defun pfTree 0>>=
 (defun |pfTree| (x y)
  (cons x y))))
 
@@ -9439,14 +9439,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfApplicationArg}{Return the Arg part of an Application node}
-<<defun pfApplicationArg>>=
+<<defun pfApplicationArg 0>>=
 (defun |pfApplicationArg| (pf)
  (caddr pf))
 
 @
 
 \defun{pfApplicationOp}{Return the Op part of an Application node}
-<<defun pfApplicationOp>>=
+<<defun pfApplicationOp 0>>=
 (defun |pfApplicationOp| (pf)
  (cadr pf))
 
@@ -9461,21 +9461,21 @@ of the form ('expression expr position)
 @
 
 \defun{pfAndLeft}{Return the Left part of an And node}
-<<defun pfAndLeft>>=
+<<defun pfAndLeft 0>>=
 (defun |pfAndLeft| (pf)
  (cadr pf))
 
 @
 
 \defun{pfAndRight}{Return the Right part of an And node}
-<<defun pfAndRight>>=
+<<defun pfAndRight 0>>=
 (defun |pfAndRight| (pf)
  (caddr pf))
 
 @
 
 \defun{pfAppend}{Flatten a list of lists}
-<<defun pfAppend>>=
+<<defun pfAppend 0>>=
 (defun |pfAppend| (list)
  (apply #'append list))
 
@@ -9508,21 +9508,21 @@ of the form ('expression expr position)
 \defun{pf0AssignLhsItems}{Return the parts of an LhsItem of an Assign node}
 \calls{pf0AssignLhsItems}{pfParts}
 \calls{pf0AssignLhsItems}{pfAssignLhsItems}
-<<defun pf0AssignLhsItems>>=
+<<defun pf0AssignLhsItems 0>>=
 (defun |pf0AssignLhsItems| (pf)
  (|pfParts| (|pfAssignLhsItems| pf)))
 
 @
 
 \defun{pfAssignLhsItems}{Return the LhsItem of an Assign node}
-<<defun pfAssignLhsItems>>=
+<<defun pfAssignLhsItems 0>>=
 (defun |pfAssignLhsItems| (pf)
  (cadr pf))
 
 @
 
 \defun{pfAssignRhs}{Return the RHS of an Assign node}
-<<defun pfAssignRhs>>=
+<<defun pfAssignRhs 0>>=
 (defun |pfAssignRhs| (pf)
  (caddr pf))
 
@@ -9585,7 +9585,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfBreakFrom}{Return the From part of a Break node}
-<<defun pfBreakFrom>>=
+<<defun pfBreakFrom 0>>=
 (defun |pfBreakFrom| (pf)
  (cadr pf))
 
@@ -9608,28 +9608,28 @@ of the form ('expression expr position)
 @
 
 \defun{pfCoercetoExpr}{Return the Expression part of a CoerceTo node}
-<<defun pfCoercetoExpr>>=
+<<defun pfCoercetoExpr 0>>=
 (defun |pfCoercetoExpr| (pf)
  (cadr pf))
 
 @
 
 \defun{pfCoercetoType}{Return the Type part of a CoerceTo node}
-<<defun pfCoercetoType>>=
+<<defun pfCoercetoType 0>>=
 (defun |pfCoercetoType| (pf)
  (caddr pf))
 
 @
 
 \defun{pfCollectBody}{Return the Body of a Collect node}
-<<defun pfCollectBody>>=
+<<defun pfCollectBody 0>>=
 (defun |pfCollectBody| (pf)
  (cadr pf))
 
 @
 
 \defun{pfCollectIterators}{Return the Iterators of a Collect node}
-<<defun pfCollectIterators>>=
+<<defun pfCollectIterators 0>>=
 (defun |pfCollectIterators| (pf)
  (caddr pf))
 
@@ -9660,14 +9660,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfDefinitionLhsItems}{Return the Lhs of a Definition node}
-<<defun pfDefinitionLhsItems>>=
+<<defun pfDefinitionLhsItems 0>>=
 (defun |pfDefinitionLhsItems| (pf)
  (cadr pf))
 
 @
 
 \defun{pfDefinitionRhs}{Return the Rhs of a Definition node}
-<<defun pfDefinitionRhs>>=
+<<defun pfDefinitionRhs 0>>=
 (defun |pfDefinitionRhs| (pf)
  (caddr pf))
 
@@ -9707,7 +9707,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfDoBody}{Return the Body of a Do node}
-<<defun pfDoBody>>=
+<<defun pfDoBody 0>>=
 (defun |pfDoBody| (pf)
  (cadr pf))
 
@@ -9743,14 +9743,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfExitCond}{Return the Cond part of an Exit}
-<<defun pfExitCond>>=
+<<defun pfExitCond 0>>=
 (defun |pfExitCond| (pf)
  (cadr pf))
 
 @
 
 \defun{pfExitExpr}{Return the Expression part of an Exit}
-<<defun pfExitExpr>>=
+<<defun pfExitExpr 0>>=
 (defun |pfExitExpr| (pf)
  (caddr pf))
 
@@ -9774,7 +9774,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfFirst}{pfFirst}
-<<defun pfFirst>>=
+<<defun pfFirst 0>>=
 (defun |pfFirst| (form)
  (cadr form))
 
@@ -9815,7 +9815,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfFreeItems}{Return the Items of a Free node}
-<<defun pfFreeItems>>=
+<<defun pfFreeItems 0>>=
 (defun |pfFreeItems| (pf)
  (cadr pf))
 
@@ -9847,14 +9847,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfForinLhs}{Return the LHS part of a ForIn node}
-<<defun pfForinLhs>>=
+<<defun pfForinLhs 0>>=
 (defun |pfForinLhs| (pf)
  (cadr pf))
 
 @
 
 \defun{pfForinWhole}{Return the Whole part of a ForIn node}
-<<defun pfForinWhole>>=
+<<defun pfForinWhole 0>>=
 (defun |pfForinWhole| (pf)
  (caddr pf))
 
@@ -9894,14 +9894,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfFromdomWhat}{Return the What part of a Fromdom node}
-<<defun pfFromdomWhat>>=
+<<defun pfFromdomWhat 0>>=
 (defun |pfFromdomWhat| (pf)
  (cadr pf))
 
 @
 
 \defun{pfFromdomDomain}{Return the Domain part of a Fromdom node}
-<<defun pfFromdomDomain>>=
+<<defun pfFromdomDomain 0>>=
 (defun |pfFromdomDomain| (pf)
  (caddr pf))
 
@@ -9933,14 +9933,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfIfCond}{Return the Cond part of an If}
-<<defun pfIfCond>>=
+<<defun pfIfCond 0>>=
 (defun |pfIfCond| (pf)
  (cadr pf))
 
 @
 
 \defun{pfIfThen}{Return the Then part of an If}
-<<defun pfIfThen>>=
+<<defun pfIfThen 0>>=
 (defun |pfIfThen| (pf)
  (caddr pf))
 
@@ -9956,7 +9956,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfIfElse}{Return the Else part of an If}
-<<defun pfIfElse>>=
+<<defun pfIfElse 0>>=
 (defun |pfIfElse| (pf)
  (cadddr pf))
 
@@ -10038,14 +10038,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfLambdaBody}{Return the Body part of a Lambda node}
-<<defun pfLambdaBody>>=
+<<defun pfLambdaBody 0>>=
 (defun |pfLambdaBody| (pf)
  (cadddr pf))
 
 @
 
 \defun{pfLambdaRets}{Return the Rets part of a Lambda node}
-<<defun pfLambdaRets>>=
+<<defun pfLambdaRets 0>>=
 (defun |pfLambdaRets| (pf)
  (caddr pf))
 
@@ -10060,7 +10060,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfLambdaArgs}{Return the Args part of a Lambda node}
-<<defun pfLambdaArgs>>=
+<<defun pfLambdaArgs 0>>=
 (defun |pfLambdaArgs| (pf)
  (cadr pf))
 
@@ -10101,7 +10101,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfLocalItems}{Return the Items of a Local node}
-<<defun pfLocalItems>>=
+<<defun pfLocalItems 0>>=
 (defun |pfLocalItems| (pf)
  (cadr pf))
 
@@ -10134,7 +10134,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfLoopIterators}{Return the Iterators of a Loop node}
-<<defun pfLoopIterators>>=
+<<defun pfLoopIterators 0>>=
 (defun |pfLoopIterators| (pf)
  (cadr pf))
 
@@ -10176,14 +10176,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfMacroLhs}{Return the Lhs of a Macro node}
-<<defun pfMacroLhs>>=
+<<defun pfMacroLhs 0>>=
 (defun |pfMacroLhs| (pf)
  (cadr pf))
 
 @
 
 \defun{pfMacroRhs}{Return the Rhs of a Macro node}
-<<defun pfMacroRhs>>=
+<<defun pfMacroRhs 0>>=
 (defun |pfMacroRhs| (pf)
  (caddr pf))
 
@@ -10206,7 +10206,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfMLambdaArgs}{Return the Args of an MLambda}
-<<defun pfMLambdaArgs>>=
+<<defun pfMLambdaArgs 0>>=
 (defun |pfMLambdaArgs| (pf)
  (cadr pf))
 
@@ -10221,7 +10221,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfMLambdaBody}{pfMLambdaBody}
-<<defun pfMLambdaBody>>=
+<<defun pfMLambdaBody 0>>=
 (defun |pfMLambdaBody| (pf)
  (caddr pf))
 
@@ -10236,7 +10236,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfNotArg}{Return the Arg part of a Not node}
-<<defun pfNotArg>>=
+<<defun pfNotArg 0>>=
 (defun |pfNotArg| (pf)
  (cadr pf))
 
@@ -10259,7 +10259,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfNovalueExpr}{Return the Expr part of a Novalue node}
-<<defun pfNovalueExpr>>=
+<<defun pfNovalueExpr 0>>=
 (defun |pfNovalueExpr| (pf)
  (cadr pf))
 
@@ -10282,14 +10282,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfOrLeft}{Return the Left part of an Or node}
-<<defun pfOrLeft>>=
+<<defun pfOrLeft 0>>=
 (defun |pfOrLeft| (pf)
  (cadr pf))
 
 @
 
 \defun{pfOrRight}{Return the Right part of an Or node}
-<<defun pfOrRight>>=
+<<defun pfOrRight 0>>=
 (defun |pfOrRight| (pf)
  (caddr pf))
 
@@ -10319,14 +10319,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfPretendExpr}{Return the Expression part of a Pretend node}
-<<defun pfPretendExpr>>=
+<<defun pfPretendExpr 0>>=
 (defun |pfPretendExpr| (pf)
  (cadr pf))
 
 @
 
 \defun{pfPretendType}{Return the Type part of a Pretend node}
-<<defun pfPretendType>>=
+<<defun pfPretendType 0>>=
 (defun |pfPretendType| (pf)
  (caddr pf))
 
@@ -10357,14 +10357,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfRestrictExpr}{Return the Expr part of a Restrict node}
-<<defun pfRestrictExpr>>=
+<<defun pfRestrictExpr 0>>=
 (defun |pfRestrictExpr| (pf)
  (cadr pf))
 
 @
 
 \defun{pfRestrictType}{Return the Type part of a Restrict node}
-<<defun pfRestrictType>>=
+<<defun pfRestrictType 0>>=
 (defun |pfRestrictType| (pf)
  (caddr pf))
 
@@ -10395,7 +10395,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfReturnExpr}{Return the Expr part of a Return node}
-<<defun pfReturnExpr>>=
+<<defun pfReturnExpr 0>>=
 (defun |pfReturnExpr| (pf)
  (cadr pf))
 
@@ -10427,14 +10427,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfRuleLhsItems}{Return the Lhs of a Rule node}
-<<defun pfRuleLhsItems>>=
+<<defun pfRuleLhsItems 0>>=
 (defun |pfRuleLhsItems| (pf)
  (cadr pf))
 
 @
 
 \defun{pfRuleRhs}{Return the Rhs of a Rule node}
-<<defun pfRuleRhs>>=
+<<defun pfRuleRhs 0>>=
 (defun |pfRuleRhs| (pf)
  (caddr pf))
 
@@ -10449,7 +10449,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfSecond}{pfSecond}
-<<defun pfSecond>>=
+<<defun pfSecond 0>>=
 (defun |pfSecond| (form)
  (caddr form))
 
@@ -10464,7 +10464,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfSequenceArgs}{Return the Args of a Sequence node}
-<<defun pfSequenceArgs>>=
+<<defun pfSequenceArgs 0>>=
 (defun |pfSequenceArgs| (pf)
  (cadr pf))
 
@@ -10504,7 +10504,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfSuchthatCond}{Return the Cond part of a SuchThat node}
-<<defun pfSuchthatCond>>=
+<<defun pfSuchthatCond 0>>=
 (defun |pfSuchthatCond| (pf)
  (cadr pf))
 
@@ -10527,14 +10527,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfTaggedExpr}{Return the Expression portion of a Tagged node}
-<<defun pfTaggedExpr>>=
+<<defun pfTaggedExpr 0>>=
 (defun |pfTaggedExpr| (pf)
  (caddr pf))
 
 @
 
 \defun{pfTaggedTag}{Return the Tag of a Tagged node}
-<<defun pfTaggedTag>>=
+<<defun pfTaggedTag 0>>=
 (defun |pfTaggedTag| (pf)
  (cadr pf))
 
@@ -10600,14 +10600,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfTypedType}{Return the Type of a Typed node}
-<<defun pfTypedType>>=
+<<defun pfTypedType 0>>=
 (defun |pfTypedType| (pf)
  (caddr pf))
 
 @
 
 \defun{pfTypedId}{Return the Id of a Typed node}
-<<defun pfTypedId>>=
+<<defun pfTypedId 0>>=
 (defun |pfTypedId| (pf)
  (cadr pf))
 
@@ -10647,7 +10647,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfTupleParts}{Return the Parts of a Tuple node}
-<<defun pfTupleParts>>=
+<<defun pfTupleParts 0>>=
 (defun |pfTupleParts| (pf)
  (cadr pf))
 
@@ -10718,14 +10718,14 @@ of the form ('expression expr position)
 @
 
 \defun{pfWhereContext}{Return the Context of a Where node}
-<<defun pfWhereContext>>=
+<<defun pfWhereContext 0>>=
 (defun |pfWhereContext| (pf)
  (cadr pf))
 
 @
 
 \defun{pfWhereExpr}{Return the Expr part of a Where node}
-<<defun pfWhereExpr>>=
+<<defun pfWhereExpr 0>>=
 (defun |pfWhereExpr| (pf)
  (caddr pf))
 
@@ -10748,7 +10748,7 @@ of the form ('expression expr position)
 @
 
 \defun{pfWhileCond}{Return the Cond part of a While node}
-<<defun pfWhileCond>>=
+<<defun pfWhileCond 0>>=
 (defun |pfWhileCond| (pf)
  (cadr pf))
 
@@ -11213,7 +11213,7 @@ output is an old-parser-style s-expression.
 @
 
 \defun{pmDontQuote?}{pmDontQuote?}
-<<defun pmDontQuote?>>=
+<<defun pmDontQuote? 0>>=
 (defun |pmDontQuote?| (sy)
  (member sy
   '(+ - * ** ^ / |log| |exp| |pi| |sqrt| |ei| |li| |erf| |ci|
@@ -11225,7 +11225,7 @@ output is an old-parser-style s-expression.
 @
 
 \defun{hasOptArgs?}{hasOptArgs?}
-<<defun hasOptArgs?>>=
+<<defun hasOptArgs? 0>>=
 (defun |hasOptArgs?| (argSex)
  (let (rhs  lhs opt nonOpt tmp1 tmp2)
  (dolist (arg argSex)
@@ -11835,7 +11835,7 @@ output is an old-parser-style s-expression.
 
 \defun{opTran}{Translate ops into internal symbols}
 \usesdollar{opTran}{dotdot}
-<<defun opTran>>=
+<<defun opTran 0>>=
 (defun |opTran| (op)
  (declare (special |$dotdot|))
  (cond
@@ -12109,7 +12109,7 @@ explains the strange parsing technique).
 
 \defun{StreamNull}{StreamNull}
 \calls{StreamNull}{eqcar}
-<<defun StreamNull>>=
+<<defun StreamNull 0>>=
 (defun |StreamNull| (x)
  (let (st)
   (cond
@@ -12389,7 +12389,7 @@ Only enpiles forests with $>=2$ trees
 \chapter{Dequeue Functions}
 The dqUnit makes a unit dq i.e. a dq with one item, from the item
 \defun{dqUnit}{dqUnit}
-<<defun dqUnit>>=
+<<defun dqUnit 0>>=
 (defun |dqUnit| (s)
  (let (a)
   (setq a (list s))
@@ -12412,7 +12412,7 @@ The dqConcat function concatenates a list of dq's, destroying all but the last
 
 \defun{dqAppend}{dqAppend}
 The dqAppend function appends 2 dq's, destroying the first
-<<defun dqAppend>>=
+<<defun dqAppend 0>>=
 (defun |dqAppend| (x y)
  (cond
   ((null x) y)
@@ -12424,7 +12424,7 @@ The dqAppend function appends 2 dq's, destroying the first
 @
 
 \defun{dqToList}{dqToList}
-<<defun dqToList>>=
+<<defun dqToList 0>>=
 (defun |dqToList| (s)
  (when s (car s)))
 
@@ -12436,7 +12436,7 @@ The dqAppend function appends 2 dq's, destroying the first
 
 \defun{lnCreate}{Line object creation}
 This is called in only one place, the incLine1 function.
-<<defun lnCreate>>=
+<<defun lnCreate 0>>=
 (defun |lnCreate| (extraBlanks string globalNum &rest optFileStuff)
  (let ((localNum (first optFileStuff))
        (filename (second optFileStuff)))
@@ -12446,51 +12446,51 @@ This is called in only one place, the incLine1 function.
 @
 
 \defun{lnExtraBlanks}{Line element 0; Extra blanks}
-<<defun lnExtraBlanks>>=
+<<defun lnExtraBlanks 0>>=
 (defun |lnExtraBlanks| (lineObject) (elt lineObject 0))
 
 @
 
 \defun{lnString}{Line element 1; String}
-<<defun lnString>>=
+<<defun lnString 0>>=
 (defun |lnString| (lineObject) (elt lineObject 1))
 
 @
 
 \defun{lnGlobalNum}{Line element 2; Globlal number}
-<<defun lnGlobalNum>>=
+<<defun lnGlobalNum 0>>=
 (defun |lnGlobalNum| (lineObject) (elt lineObject 2))
 
 @
 
 \defun{lnSetGlobalNum}{Line element 2; Set Global number}
-<<defun lnSetGlobalNum>>=
+<<defun lnSetGlobalNum 0>>=
 (defun |lnSetGlobalNum| (lineObject num)
  (setf (elt lineObject 2) num))
 
 @
 
 \defun{lnLocalNum}{Line elemnt 3; Local number}
-<<defun lnLocalNum>>=
+<<defun lnLocalNum 0>>=
 (defun |lnLocalNum| (lineObject) (elt lineObject 3))
 
 @
 
 \defun{lnPlaceOfOrigin}{Line element 4; Place of origin}
-<<defun lnPlaceOfOrigin>>=
+<<defun lnPlaceOfOrigin 0>>=
 (defun |lnPlaceOfOrigin| (lineObject) (elt lineObject 4))
 
 @
 
 \defun{lnImmediate?}{Line element 4: Is it a filename?}
 \calls{lnImmediate?}{lnFileName?}
-<<defun lnImmediate?>>=
+<<defun lnImmediate? 0>>=
 (defun |lnImmediate?| (lineObject) (null (|lnFileName?| lineObject)))
 
 @
 
 \defun{lnFileName?}{Line element 4: Is it a filename?}
-<<defun lnFileName?>>=
+<<defun lnFileName? 0>>=
 (defun |lnFileName?| (lineObject)
  (let (filename)
   (when (consp (setq filename (elt lineObject 4))) filename)))
@@ -12542,50 +12542,50 @@ msgObject  tag -- catagory of msg
 @
 
 \defun{getMsgPosTagOb}{getMsgPosTagOb}
-<<defun getMsgPosTagOb>>=
+<<defun getMsgPosTagOb 0>>=
 (defun |getMsgPosTagOb| (msg) (elt msg 1))
 
 @
 
 \defun{getMsgKey}{getMsgKey}
-<<defun getMsgKey>>=
+<<defun getMsgKey 0>>=
 (defun |getMsgKey| (msg)  (elt msg 2))
 
 @
 
 \defun{getMsgArgL}{getMsgArgL}
-<<defun getMsgArgL>>=
+<<defun getMsgArgL 0>>=
 (defun |getMsgArgL| (msg) (elt msg 3))
 
 @
 
 \defun{getMsgPrefix}{getMsgPrefix}
-<<defun getMsgPrefix>>=
+<<defun getMsgPrefix 0>>=
 (defun |getMsgPrefix| (msg) (elt msg 4))
 
 @
 
 \defun{setMsgPrefix}{setMsgPrefix}
-<<defun setMsgPrefix>>=
+<<defun setMsgPrefix 0>>=
 (defun |setMsgPrefix| (msg val) (setf (elt msg 4) val))
 
 @
 
 \defun{getMsgText}{getMsgText}
-<<defun getMsgText>>=
+<<defun getMsgText 0>>=
 (defun |getMsgText| (msg) (elt msg 5))
 
 @
 
 \defun{setMsgText}{setMsgText}
-<<defun setMsgText>>=
+<<defun setMsgText 0>>=
 (defun |setMsgText| (msg val)
   (setf (elt msg 5) val))
 
 @
 
 \defun{getMsgPrefix?}{getMsgPrefix?}
-<<defun getMsgPrefix?>>=
+<<defun getMsgPrefix? 0>>=
 (defun |getMsgPrefix?| (msg)
  (let ((pre (|getMsgPrefix| msg)))
   (unless (eq pre '|noPre|) pre)))
@@ -12596,7 +12596,7 @@ msgObject  tag -- catagory of msg
 The valid message tags are:
 line, old, error, warn, bug, unimple, remark, stat, say, debug
 \calls{getMsgTag}{ncTag}
-<<defun getMsgTag>>=
+<<defun getMsgTag 0>>=
 (defun |getMsgTag| (msg) (|ncTag| msg))
 
 @
@@ -12604,7 +12604,7 @@ line, old, error, warn, bug, unimple, remark, stat, say, debug
 \defun{getMsgTag?}{getMsgTag?}
 \calls{getMsgTag?}{IFCAR}
 \calls{getMsgTag?}{getMsgTag}
-<<defun getMsgTag?>>=
+<<defun getMsgTag? 0>>=
 (defun |getMsgTag?| (|msg|)
  (ifcar (member (|getMsgTag| |msg|)
          (list '|line| '|old| '|error| '|warn| '|bug|
@@ -12674,7 +12674,7 @@ Give message and throw to a recovery point.
 @
 
 \defun{desiredMsg}{desiredMsg}
-<<defun desiredMsg>>=
+<<defun desiredMsg 0>>=
 (defun |desiredMsg| (erMsgKey &rest optCatFlag)
  (cond
   ((null (null optCatFlag)) (car optCatFlag))
@@ -12780,7 +12780,7 @@ Give message and throw to a recovery point.
 \defun{getPreStL}{getPreStL}
 \calls{getPreStL}{size}
 \usesdollar{getPreStL}{preLength}
-<<defun getPreStL>>=
+<<defun getPreStL 0>>=
 (defun |getPreStL| (optPre)
  (let (spses extraPlaces)
  (declare (special |$preLength|))
@@ -12878,7 +12878,7 @@ Give message and throw to a recovery point.
 \calls{showMsgPos?}{msgImPr?}
 \calls{showMsgPos?}{leader?}
 \usesdollar{showMsgPos?}{erMsgToss}
-<<defun showMsgPos?>>=
+<<defun showMsgPos? 0>>=
 (defun |showMsgPos?| (msg)
  (declare (special |$erMsgToss|))
  (or |$erMsgToss| (and (null (|msgImPr?| msg)) (null (|leader?| msg)))))
@@ -12951,7 +12951,7 @@ org prints out the word noposition or console
 @
 
 \defun{poNopos?}{poNopos?}
-<<defun poNopos?>>=
+<<defun poNopos? 0>>=
 (defun |poNopos?| (posn)
  (equal posn (list '|noposition|)))
 
@@ -12979,7 +12979,7 @@ org prints out the word noposition or console
 @
 
 \defun{poGetLineObject}{poGetLineObject}
-<<defun poGetLineObject>>=
+<<defun poGetLineObject 0>>=
 (defun |poGetLineObject| (posn)
  (car posn))
 
@@ -13015,14 +13015,14 @@ org prints out the word noposition or console
 @
 
 \defun{remLine}{remLine}
-<<defun remLine>>=
+<<defun remLine 0>>=
 (defun |remLine| (positionList) (list (ifcar positionList)))
 
 @
 
 \defun{getMsgKey?}{getMsgKey?}
 \calls{getMsgKey?}{identp}
-<<defun getMsgKey?>>=
+<<defun getMsgKey? 0>>=
 (defun |getMsgKey?| (msg)
  (let ((val (|getMsgKey| msg)))
   (when (identp val) val)))
@@ -13359,7 +13359,7 @@ Bug in the compiler: something which shouldn't have happened did.
 
 \defun{rep}{rep}
 \tpdhere{This function should be replaced by fillerspaces}
-<<defun rep>>=
+<<defun rep 0>>=
 (defun |rep| (c n)
  (if (< 0 n)
   (make-string n :initial-element (character c))
@@ -13368,13 +13368,13 @@ Bug in the compiler: something which shouldn't have happened did.
 @
 
 \defun{getLinePos}{getLinePos}
-<<defun getLinePos>>=
+<<defun getLinePos 0>>=
 (defun |getLinePos| (line) (car line))
 
 @
 
 \defun{getLineText}{getLineText}
-<<defun getLineText>>=
+<<defun getLineText 0>>=
 (defun |getLineText| (line) (cdr line))
 
 @
@@ -13565,7 +13565,7 @@ redundant(msg,thisPosMsgs) ==
 @
 
 \defun{poCharPosn}{poCharPosn}
-<<defun poCharPosn>>=
+<<defun poCharPosn 0>>=
 (defun |poCharPosn| (posn)
  (cdr posn))
 @
@@ -13656,7 +13656,7 @@ makeLeaderMsg chPosList ==
 This function inserts a position in the proper place of a position list.
 This is used for the 2nd pos of a fromto
 \calls{insertPos}{done}
-<<defun insertPos>>=
+<<defun insertPos 0>>=
 (defun |insertPos| (newPos posList)
  (let (pos top bot done)
  (setq bot (cons 0 posList))
@@ -13705,21 +13705,21 @@ This is used for the 2nd pos of a fromto
 
 \defun{From}{From}
 This is called from parameter list of nc message functions
-<<defun From>>=
+<<defun From 0>>=
 (defun |From| (pos) (list 'from pos))
 
 @
 
 \defun{To}{To}
 This is called from parameter list of nc message functions
-<<defun To>>=
+<<defun To 0>>=
 (defun |To| (pos) (list 'to pos))
 
 @
 
 \defun{FromTo}{FromTo}
 This is called from parameter list of nc message functions
-<<defun FromTo>>=
+<<defun FromTo 0>>=
 (defun |FromTo| (pos1 pos2) (list 'fromto pos1 pos2))
 
 @
@@ -15063,7 +15063,7 @@ where head is either an id or (id . alist)
 
 \defun{poNoPosition?}{poNoPosition?}
 \calls{poNoPosition?}{eqcar}
-<<defun poNoPosition?>>=
+<<defun poNoPosition? 0>>=
 (defun |poNoPosition?| (pos)
  (eqcar pos '|noposition|))
 
@@ -15077,7 +15077,7 @@ where head is either an id or (id . alist)
 @
 
 \defun{tokPart}{tokPart}
-<<defun tokPart>>=
+<<defun tokPart 0>>=
 (defun |tokPart| (x) (cdr x))
 
 @
@@ -15105,7 +15105,7 @@ where head is either an id or (id . alist)
 
 \defun{poNoPosition}{poNoPosition}
 \usesdollar{poNoPosition}{nopos}
-<<defun poNoPosition>>=
+<<defun poNoPosition 0>>=
 (defun |poNoPosition| ()
  (declare (special |$nopos|))
  |$nopos|)
@@ -15597,7 +15597,7 @@ valid for this level.
 
 \defun{satisfiesUserLevel}{satisfiesUserLevel}
 \usesdollar{satisfiesUserLevel}{UserLevel}
-<<defun satisfiesUserLevel>>=
+<<defun satisfiesUserLevel 0>>=
 (defun |satisfiesUserLevel| (x)
  (declare (special |$UserLevel|))
  (cond
@@ -15656,7 +15656,7 @@ valid for this level.
 \defun{getParserMacroNames}{getParserMacroNames}
 The \verb|$pfMacros| is a list of all of the user-defined macros.
 \usesdollar{getParserMacroNames}{pfMacros}
-<<defun getParserMacroNames>>=
+<<defun getParserMacroNames 0>>=
 (defun |getParserMacroNames| ()
  (declare (special |$pfMacros|))
  (remove-duplicates (mapcar #'car |$pfMacros|)))
@@ -16316,7 +16316,7 @@ The \verb|$msgdbPrims| variable is set to:
 @
 
 \defun{isIntegerString}{Is the argument string an integer?}
-<<defun isIntegerString>>=
+<<defun isIntegerString 0>>=
 (defun |isIntegerString| (tok)
  (multiple-value-bind (int len) (parse-integer tok :junk-allowed t)
   (when (and int (= len (length tok))) int)))
@@ -16449,14 +16449,14 @@ The \verb|$msgdbPrims| variable is set to:
 
 \defun{stripSpaces}{Remove the spaces surrounding a string}
 \tpdhere{This should probably be a macro or eliminated}
-<<defun stripSpaces>>=
+<<defun stripSpaces 0>>=
 (defun |stripSpaces| (str)
  (string-trim '(#\space) str))
 
 @
 
 \defun{stripLisp}{Remove the lisp command prefix}
-<<defun stripLisp>>=
+<<defun stripLisp 0>>=
 (defun |stripLisp| (str)
  (if (string= (subseq str 0 4) "lisp")
   (subseq str 4)
@@ -16466,7 +16466,7 @@ The \verb|$msgdbPrims| variable is set to:
 
 \defun{nplisp}{Handle the )lisp command}
 \usesdollar{nplisp}{ans}
-<<defun nplisp>>=
+<<defun nplisp 0>>=
 (defun |nplisp| (str)
  (declare (special |$ans|))
   (setq |$ans| (eval (read-from-string str)))
@@ -16476,7 +16476,7 @@ The \verb|$msgdbPrims| variable is set to:
 
 \defun{npboot}{The )boot command is no longer supported}
 \tpdhere{Remove all boot references from top level}
-<<defun npboot>>=
+<<defun npboot 0>>=
 (defun |npboot| (str)
  (declare (ignore str))
  (format t "The )boot command is no longer supported~%"))
@@ -16647,7 +16647,7 @@ of synonyms which are in common use.
 \defun{axiomVersion}{Print the current version information}
 \uses{axiomVersion}{*yearweek*}
 \uses{axiomVersion}{*build-version*}
-<<defun axiomVersion>>=
+<<defun axiomVersion 0>>=
 (defun axiomVersion ()
  (declare (special *build-version* *yearweek*))
   (concatenate 'string "Axiom " *build-version* " built on " *yearweek*))
@@ -16755,7 +16755,7 @@ for processing \verb|)read| of input files.
 \defun{ncloopPrefix?}{ncloopPrefix?}
 If we find the prefix string in the whole string starting at position zero
 we return the remainder of the string without the leading prefix.
-<<defun ncloopPrefix?>>=
+<<defun ncloopPrefix? 0>>=
 (defun |ncloopPrefix?| (prefix whole)
  (when (eql (search prefix whole) 0)
   (subseq whole (length prefix))))
@@ -17578,7 +17578,7 @@ TPDHERE: Note that this function also seems to parse out )except
 
 \defun{clearMacroTable}{clearMacroTable}
 \usesdollar{clearMacroTable}{pfMacros}
-<<defun clearMacroTable>>=
+<<defun clearMacroTable 0>>=
 (defun |clearMacroTable| ()
   (declare (special |$pfMacros|))
   (setq |$pfMacros| nil))
@@ -18344,7 +18344,7 @@ Portions Copyright (c) 2001-2010 Timothy Daly
 
 @
 \defun{trademark}{trademark}
-<<defun trademark>>=
+<<defun trademark 0>>=
 (defun |trademark| ()
  (format t "The term Axiom, in the field of computer algebra software, ~%")
  (format t "along with AXIOM and associated images are common-law ~%")
@@ -18366,7 +18366,7 @@ verbatim. This will eventually result in a call to the function
 \section{Functions}
 \defun{credits}{credits}
 \uses{credits}{credits}
-<<defun credits>>=
+<<defun credits 0>>=
 (defun |credits| ()
  (declare (special credits))
  (mapcar #'(lambda (x) (princ x) (terpri)) credits))
@@ -18561,7 +18561,7 @@ in the Category, Domain, or Package source code.
 @
 
 \defun{flatten}{flatten}
-<<defun flatten>>=
+<<defun flatten 0>>=
 (defun flatten (x)
  (labels (
   (rec (x acc)
@@ -18929,7 +18929,7 @@ We remove all of the \verb|spad{...}| delimiters which will
 occur around other spad variables. Technically we should
 search recursively for the matching delimiter rather than the
 next brace but the problem does not arise in practice.
-<<defun cleanupLine>>=
+<<defun cleanupLine 0>>=
 (defun cleanupLine (line)
  (do ((mark (search "{}" line) (search "{}" line)))
   ((null mark))
@@ -19117,7 +19117,7 @@ o )quit
 \defun{fin}{Exit from the interpreter to lisp}
 \throws{fin}{spad-reader}
 \uses{fin}{eof}
-<<defun>>=
+<<defun fin 0>>=
 (defun |fin| ()
  (setq *eof* t)
  (throw 'spad_reader nil))
@@ -19300,61 +19300,61 @@ These could be macros but we wish to export them to the API code
 in the algebra so we keep them as functions.
 \subsection{0th Frame Component -- frameName}
 \defun{frameName}{frameName}
-<<defun frameName>>=
+<<defun frameName 0>>=
 (defun frameName (frame)
  (car frame)) 
 
 @
 \subsection{1st Frame Component -- frameInteractive}
-<<defun frameInteractive>>=
+<<defun frameInteractive 0>>=
 (defun frameInteractive (frame)
  (nth 1 frame))
 
 @
 \subsection{2nd Frame Component -- frameIOIndex}
-<<defun frameIOIndex>>=
+<<defun frameIOIndex 0>>=
 (defun frameIOIndex (frame)
  (nth 2 frame))
 
 @
 \subsection{3rd Frame Component -- frameHiFiAccess}
-<<defun frameHiFiAccess>>=
+<<defun frameHiFiAccess 0>>=
 (defun frameHiFiAccess (frame)
  (nth 3 frame))
 
 @
 \subsection{4th Frame Component -- frameHistList}
-<<defun frameHistList>>=
+<<defun frameHistList 0>>=
 (defun frameHistList (frame)
  (nth 4 frame))
 
 @
 \subsection{5th Frame Component -- frameHistListLen}
-<<defun frameHistListLen>>=
+<<defun frameHistListLen 0>>=
 (defun frameHistListLen (frame)
  (nth 5 frame))
 
 @
 \subsection{6th Frame Component -- frameHistListAct}
-<<defun frameHistListAct>>=
+<<defun frameHistListAct 0>>=
 (defun frameHistListAct (frame)
  (nth 6 frame))
 
 @
 \subsection{7th Frame Component -- frameHistRecord}
-<<defun frameHistRecord>>=
+<<defun frameHistRecord 0>>=
 (defun frameHistRecord (frame)
  (nth 7 frame))
 
 @
 \subsection{8th Frame Component -- frameHistoryTable}
-<<defun frameHistoryTable>>=
+<<defun frameHistoryTable 0>>=
 (defun frameHistoryTable (frame)
  (nth 8 frame))
 
 @
 \subsection{9th Frame Component -- frameExposureData}
-<<defun frameExposureData>>=
+<<defun frameExposureData 0>>=
 (defun frameExposureData (frame)
  (nth 9 frame))
 
@@ -19393,7 +19393,7 @@ initial values.
 This function simply walks across the frame in the frame ring and
 returns a list of the name of each frame. 
 \usesdollar{frameNames}{interpreterFrameRing}
-<<defun frameNames>>=
+<<defun frameNames 0>>=
 (defun |frameNames| () 
  "Creating a List of all of the Frame Names"
  (declare (special |$interpreterFrameRing|))
@@ -19423,7 +19423,7 @@ returns a single frame that will be placed in the frame ring.
 \usesdollar{emptyInterpreterFrame}{HistListAct}
 \usesdollar{emptyInterpreterFrame}{HistRecord}
 \usesdollar{emptyInterpreterFrame}{localExposureDataDefault}
-<<defun emptyInterpreterFrame>>=
+<<defun emptyInterpreterFrame 0>>=
 (defun |emptyInterpreterFrame| (name)
  "Create a new, empty Interpreter Frame"
  (declare (special |$HiFiAccess| |$HistList| |$HistListLen| |$HistListAct| 
@@ -19457,7 +19457,7 @@ values of the global variables and returns this as a frame element.
 \usesdollar{createCurrentInterpreterFrame}{HistRecord}
 \usesdollar{createCurrentInterpreterFrame}{internalHistoryTable}
 \usesdollar{createCurrentInterpreterFrame}{localExposureData}
-<<defun createCurrentInterpreterFrame>>=
+<<defun createCurrentInterpreterFrame 0>>=
 (defun |createCurrentInterpreterFrame| ()
  "Collecting up the Environment into a Frame"
  (declare (special |$interpreterFrameName| |$InteractiveFrame| |$IOindex| 
@@ -19525,7 +19525,7 @@ the frames and if we find one we return it.
 \calls{findFrameInRing}{boot-equal}
 \calls{findFrameInRing}{frameName}
 \usesdollar{findFrameInRing}{interpreterFrameRing}
-<<defun findFrameInRing>>=
+<<defun findFrameInRing 0>>=
 (defun |findFrameInRing| (name)
  "Find a Frame in the Frame Ring by Name"
  (let (result)
@@ -37600,14 +37600,14 @@ Note that this assumes ``table'' is a string.
 @
 
 \defun{qenum}{qenum}
-<<defun qenum>>=
+<<defun qenum 0>>=
 (defun qenum (cvec ind)
  (char-code (char cvec ind)))
 
 @
 
 \defmacro{identp}
-<<defmacro identp>>=
+<<defmacro identp 0>>=
 (defmacro identp (x) 
  (if (atom x)
   `(and ,x (symbolp ,x))
@@ -37619,7 +37619,7 @@ Note that this assumes ``table'' is a string.
 
 \defun{concat}{concat}
 \calls{concat}{string-concatenate}
-<<defun concat>>=
+<<defun concat 0>>=
 (defun concat (a b &rest l)
  (if (bit-vector-p a)
    (if l 
@@ -37660,7 +37660,7 @@ Note that this assumes ``table'' is a string.
 @
 
 \defun{member}{member}
-<<defun member>>=
+<<defun member 0>>=
 (defun |member| (item sequence)
  (cond
    ((symbolp item) (member item sequence :test #'eq))
@@ -37753,20 +37753,20 @@ semantics survive.
 @
 
 \defun{bvec-make-full}{IndexedBits new function support}
-<<defun bvec-make-full>>=
+<<defun bvec-make-full 0>>=
 (defun bvec-make-full (n x) 
  (make-array (list n) :element-type 'bit :initial-element x))
 
 @
 
 \defmacro{bit-to-truth}{IndexedBits elt function support}
-<<defmacro bit-to-truth>>=
+<<defmacro bit-to-truth 0>>=
 (defmacro bit-to-truth (b) `(eq ,b 1))
 
 @
 
 \defmacro{bvec-elt}{IndexedBits elt function support}
-<<defmacro bvec-elt>>=
+<<defmacro bvec-elt 0>>=
 (defmacro bvec-elt (bv i) `(sbit ,bv ,i))
 
 @
@@ -37784,25 +37784,25 @@ semantics survive.
 @
 
 \defun{bvec-concat}{IndexedBits concat function support}
-<<defun bvec-concat>>=
+<<defun bvec-concat 0>>=
 (defun bvec-concat (bv1 bv2) (concatenate '(vector bit) bv1 bv2))
 
 @
 
 \defun{bvec-copy}{IndexedBits copy function support}
-<<defun bvec-copy>>=
+<<defun bvec-copy 0>>=
 (defun bvec-copy (bv) (copy-seq bv))
 
 @
 
 \defun{bvec-equal}{IndexedBits = function support}
-<<defun bvec-equal>>=
+<<defun bvec-equal 0>>=
 (defun bvec-equal (bv1 bv2) (equal bv1 bv2))
 
 @
 
 \defun{bvec-greater}{IndexedBits $<$ function support}
-<<defun bvec-greater>>=
+<<defun bvec-greater 0>>=
 (defun bvec-greater (bv1 bv2)
   (let ((pos (mismatch bv1 bv2)))
     (cond ((or (null pos) (>= pos (length bv1))) nil)
@@ -37813,37 +37813,37 @@ semantics survive.
 @
 
 \defun{bvec-and}{IndexedBits And function support}
-<<defun bvec-and>>=
+<<defun bvec-and 0>>=
 (defun bvec-and (bv1 bv2) (bit-and  bv1 bv2))
 
 @
 
 \defun{bvec-or}{IndexedBits Or function support}
-<<defun bvec-or>>=
+<<defun bvec-or 0>>=
 (defun bvec-or (bv1 bv2) (bit-ior  bv1 bv2))
 
 @
 
 \defun{bvec-xor}{IndexedBits xor function support}
-<<defun bvec-xor>>=
+<<defun bvec-xor 0>>=
 (defun bvec-xor (bv1 bv2) (bit-xor  bv1 bv2))
 
 @
 
 \defun{bvec-nand}{IndexedBits nand function support}
-<<defun bvec-nand>>=
+<<defun bvec-nand 0>>=
 (defun bvec-nand (bv1 bv2) (bit-nand bv1 bv2))
 
 @
 
 \defun{bvec-nor}{IndexedBits nor function support}
-<<defun bvec-nor>>=
+<<defun bvec-nor 0>>=
 (defun bvec-nor (bv1 bv2) (bit-nor  bv1 bv2))
 
 @
 
 \defun{bvec-not}{IndexedBits not function support}
-<<defun bvec-not>>=
+<<defun bvec-not 0>>=
 (defun bvec-not (bv) (bit-not  bv))
 
 @
@@ -38098,7 +38098,7 @@ a call to this code. The Integer domain contains the line:
 \begin{verbatim}
 (PUT (QUOTE |INT;divide;2$R;44|) (QUOTE |SPADreplace|) (QUOTE DIVIDE2)) 
 \end{verbatim}
-<<defun divide2>>=
+<<defun divide2 0>>=
 (defun divide2 (x y)
  (multiple-value-call #'cons (truncate x y)))
 
@@ -38113,7 +38113,7 @@ a call to this code. The Integer domain contains the line:
 \end{verbatim}
 Because these are identical except for name we make the symbol-functions
 equivalent. This was done in the original code for efficiency.
-<<defun remainder2>>=
+<<defun remainder2 0>>=
 (setf (symbol-function 'remainder2) #'rem)
 
 @
@@ -38125,7 +38125,7 @@ a call to this code. The Integer domain contains the line:
 \begin{verbatim}
 (PUT (QUOTE |INT;quo;3$;45|) (QUOTE |SPADreplace|) (QUOTE QUOTIENT2)) 
 \end{verbatim}
-<<defun quotient2>>=
+<<defun quotient2 0>>=
 (defun quotient2 (x y)
  (values (truncate x y)))
 
@@ -38237,7 +38237,7 @@ appropriate entries in the browser database. The legal values for arg are
 
 \defun{DirToString}{FileName directory function support}
 For example,  ``/''  ``/u/smwatt''  ``../src''
-<<defun DirToString>>=
+<<defun DirToString 0>>=
 (defun |DirToString| (d)
   (cond
     ((equal d '(:root)) "/")
@@ -38247,7 +38247,7 @@ For example,  ``/''  ``/u/smwatt''  ``../src''
 @
 
 \defun{fnameName}{FileName name function implementation}
-<<defun fnameName>>=
+<<defun fnameName 0>>=
 (defun |fnameName| (f)
   (let ((s (pathname-name f)))
     (if s s "") ))
@@ -38255,7 +38255,7 @@ For example,  ``/''  ``/u/smwatt''  ``../src''
 @
 
 \defun{fnameType}{FileName extension function implementation}
-<<defun fnameType>>=
+<<defun fnameType 0>>=
 (defun |fnameType| (f)
   (let ((s (pathname-type f)))
     (if s s "") ))
@@ -38263,14 +38263,14 @@ For example,  ``/''  ``/u/smwatt''  ``../src''
 @
 
 \defun{fnameExists?}{FileName exists? function implementation}
-<<defun fnameExists?>>=
+<<defun fnameExists? 0>>=
 (defun |fnameExists?| (f)
   (if (probe-file (namestring f)) 't nil))
 
 @
 
 \defun{fnameReadable?}{FileName readable? function implementation}
-<<defun fnameReadable?>>=
+<<defun fnameReadable? 0>>=
 (defun |fnameReadable?| (f)
  (let ((s (open f :direction :input :if-does-not-exist nil)))
   (cond (s (close s) t) (t nil)) ))
@@ -38638,7 +38638,7 @@ See Steele Common Lisp 1990 p308
 
 \defun{integer-decode-float-numerator}{Machine specific float numerator}
 This is used in the DoubleFloat integerDecode function
-<<defun integer-decode-float-numerator>>=
+<<defun integer-decode-float-numerator 0>>=
 (defun integer-decode-float-numerator (x)
  (integer-decode-float x))
 
@@ -38646,7 +38646,7 @@ This is used in the DoubleFloat integerDecode function
 
 \defun{integer-decode-float-denominator}{Machine specific float denominator}
 This is used in the DoubleFloat integerDecode function
-<<defun integer-decode-float-denominator>>=
+<<defun integer-decode-float-denominator 0>>=
 (defun integer-decode-float-denominator (x)
  (multiple-value-bind (mantissa exponent sign) (integer-decode-float x)
   (declare (ignore mantissa sign)) (expt 2 (abs exponent))))
@@ -38655,7 +38655,7 @@ This is used in the DoubleFloat integerDecode function
 
 \defun{integer-decode-float-sign}{Machine specific float sign}
 This is used in the DoubleFloat integerDecode function
-<<defun integer-decode-float-sign>>=
+<<defun integer-decode-float-sign 0>>=
 (defun integer-decode-float-sign (x)
  (multiple-value-bind (mantissa exponent sign) (integer-decode-float x)
   (declare (ignore mantissa exponent)) sign))
@@ -38664,7 +38664,7 @@ This is used in the DoubleFloat integerDecode function
 
 \defun{integer-decode-float-exponent}{Machine specific float bit length}
 This is used in the DoubleFloat integerDecode function
-<<defun integer-decode-float-exponent>>=
+<<defun integer-decode-float-exponent 0>>=
 (defun integer-decode-float-exponent (x)
  (multiple-value-bind (mantissa exponent sign) (integer-decode-float x)
   (declare (ignore mantissa sign)) exponent))
@@ -38674,7 +38674,7 @@ This is used in the DoubleFloat integerDecode function
 \defun{manexp}{Decode floating-point values}
 This function is used by DoubleFloat to implement the ``mantissa'' and
 ``exponent'' functions.
-<<defun manexp>>=
+<<defun manexp 0>>=
 (defun manexp (u)
   (multiple-value-bind (f e s) 
     (decode-float u)
@@ -38685,7 +38685,7 @@ This function is used by DoubleFloat to implement the ``mantissa'' and
 \defun{cot}{The cotangent routine}
 The cotangent function is defined as
 \[cot(z) = \frac{1}{tan(z)}\]
-<<defun cot>>=
+<<defun cot 0>>=
 (defun cot (a)
   (if (or (> a 1000.0) (< a -1000.0))
     (/ (cos a) (sin a))
@@ -38697,7 +38697,7 @@ The cotangent function is defined as
 The inverse cotangent (arc-cotangent) function is defined as
 \[acot(z) = cot^{-1}(z) = tan^{-1}(\frac{1}{z})\]
 See Steele Common Lisp 1990 pp305-307
-<<defun acot>>=
+<<defun acot 0>>=
 (defun acot (a)
   (if (> a 0.0)
     (if (> a 1.0)
@@ -38711,70 +38711,70 @@ See Steele Common Lisp 1990 pp305-307
 
 \defun{sec}{The secant function}
 \[sec(x) = \frac{1}{cos(x)}\]
-<<defun sec>>=
+<<defun sec 0>>=
 (defun sec (x) (/ 1 (cos x)))
 
 @
 
 \defun{asec}{The inverse secant function}
 \[asec(x) = acos\left(\frac{1}{x}\right)\]
-<<defun asec>>=
+<<defun asec 0>>=
 (defun asec (x) (acos (/ 1 x)))
 
 @
 
 \defun{csc}{The cosecant function}
 \[csc(x) = \frac{1}{sin(x)}\]
-<<defun csc>>=
+<<defun csc 0>>=
 (defun csc (x) (/ 1 (sin x)))
 
 @
 
 \defun{acsc}{The inverse cosecant function}
 \[acsc(x) = \frac{1}{asin(x)}\]
-<<defun acsc>>=
+<<defun acsc 0>>=
 (defun acsc (x) (asin (/ 1 x)))
 
 @
 
 \defun{csch}{The hyperbolic cosecant function}
 \[csch(x) = \frac{1}{sinh(x)} \]
-<<defun csch>>=
+<<defun csch 0>>=
 (defun csch (x) (/ 1 (sinh x)))
 
 @
 
 \defun{coth}{The hyperbolic cotangent function}
 \[coth(x) = cosh(x) csch(x)\]
-<<defun coth>>=
+<<defun coth 0>>=
 (defun coth (x) (* (cosh x) (csch x)))
 
 @
 
 \defun{sech}{The hyperbolic secant function}
 \[sech(x) = \frac{1}{cosh(x)}\]
-<<defun sech>>=
+<<defun sech 0>>=
 (defun sech (x) (/ 1 (cosh x)))
 
 @
 
 \defun{acsch}{The inverse hyperbolic cosecant function}
 \[acsch(x) = asinh\left(\frac{1}{x}\right)\]
-<<defun acsch>>=
+<<defun acsch 0>>=
 (defun acsch (x) (asinh (/ 1 x)))
 
 @
 
 \defun{acoth}{The inverse hyperbolic cotangent function}
 \[acoth(x) = atanh\left(\frac{1}{x}\right)\]
-<<defun acoth>>=
+<<defun acoth 0>>=
 (defun acoth (x) (atanh (/ 1 x)))
 
 @
 
 \defun{asech}{The inverse hyperbolic secant function}
 \[asech(x) = acosh\left(\frac{1}{x}\right)\]
-<<defun asech>>=
+<<defun asech 0>>=
 (defun asech (x) (acosh (/ 1 x)))
 
 @
@@ -39131,7 +39131,7 @@ for example:
 
 \defun{monitor-inittable}{Initialize the monitor statistics hashtable}
 \uses{monitor-inittable}{*monitor-table*}
-<<defun monitor-inittable>>=
+<<defun monitor-inittable 0>>=
 (defun monitor-inittable ()
  "initialize the monitor statistics hashtable"
  (declare (special *monitor-table*))
@@ -39141,7 +39141,7 @@ for example:
 
 \defun{monitor-end}{End the monitoring process, we cannot restart}
 \uses{monitor-end}{*monitor-table*}
-<<defun monitor-end>>=
+<<defun monitor-end 0>>=
 (defun monitor-end ()
  "End the monitoring process. we cannot restart"
  (declare (special *monitor-table*))
@@ -39155,7 +39155,7 @@ for example:
 
 \defun{monitor-results}{Return a list of the monitor-data structures}
 \uses{monitor-results}{*monitor-table*}
-<<defun monitor-results>>=
+<<defun monitor-results 0>>=
 (defun monitor-results ()
  "return a list of the monitor-data structures"
  (let (result)
@@ -39173,7 +39173,7 @@ for example:
 \calls{monitor-add}{monitor-delete}
 \calls{monitor-add}{make-monitor-data}
 \uses{monitor-add}{*monitor-table*}
-<<defun monitor-add>>=
+<<defun monitor-add 0>>=
 (defun monitor-add (name &optional sourcefile)
  "add a function to be monitored"
  (declare (special *monitor-table*))
@@ -39189,7 +39189,7 @@ for example:
 
 \defun{monitor-delete}{Remove a function being monitored}
 \uses{monitor-delete}{*monitor-table*}
-<<defun monitor-delete>>=
+<<defun monitor-delete 0>>=
 (defun monitor-delete (fn)
  "Remove a function being monitored"
  (declare (special *monitor-table*))
@@ -39200,7 +39200,7 @@ for example:
 
 \defun{monitor-enable}{Enable all (or optionally one) function for monitoring}
 \uses{monitor-enable}{*monitor-table*}
-<<defun monitor-enable>>=
+<<defun monitor-enable 0>>=
 (defun monitor-enable (&optional fn)
  "enable all (or optionally one) function for monitoring"
  (declare (special *monitor-table*))
@@ -39219,7 +39219,7 @@ for example:
 
 \defun{monitor-disable}{Disable all (optionally one) function for monitoring}
 \uses{monitor-disable}{*monitor-table*}
-<<defun monitor-disable>>=
+<<defun monitor-disable 0>>=
 (defun monitor-disable (&optional fn)
  "disable all (optionally one) function for monitoring"
  (declare (special *monitor-table*))
@@ -39238,7 +39238,7 @@ for example:
 
 \defun{monitor-reset}{Reset the table count for the table (or a function)}
 \uses{monitor-reset}{*monitor-table*}
-<<defun monitor-reset>>=
+<<defun monitor-reset 0>>=
 (defun monitor-reset (&optional fn)
  "reset the table count for the table (or a function)"
  (declare (special *monitor-table*))
@@ -39254,7 +39254,7 @@ for example:
 
 \defun{monitor-incr}{Incr the count of fn by 1}
 \uses{monitor-incr}{*monitor-table*}
-<<defun monitor-incr>>=
+<<defun monitor-incr 0>>=
 (defun monitor-incr (fn)
  "incr the count of fn by 1"
  (let (data)
@@ -39268,7 +39268,7 @@ for example:
 
 \defun{monitor-decr}{Decr the count of fn by 1}
 \uses{monitor-decr}{*monitor-table*}
-<<defun monitor-decr>>=
+<<defun monitor-decr 0>>=
 (defun monitor-decr (fn)
  "decr the count of fn by 1"
  (let (data)
@@ -39282,7 +39282,7 @@ for example:
 
 \defun{monitor-info}{Return the monitor information for a function}
 \uses{monitor-info}{*monitor-table*}
-<<defun monitor-info>>=
+<<defun monitor-info 0>>=
 (defun monitor-info (fn)
  "return the monitor information for a function"
  (declare (special *monitor-table*))
@@ -39294,7 +39294,7 @@ for example:
 \catches{monitor-file}{done}
 \throws{monitor-file}{done}
 \calls{monitor-file}{monitor-add}
-<<defun monitor-file>>=
+<<defun monitor-file 0>>=
 (defun monitor-file (file)
  "hang a monitor call on all of the defuns in a file"
  (let (expr (package "BOOT"))
@@ -39315,7 +39315,7 @@ for example:
 
 \defun{monitor-untested}{Return a list of the functions with zero count fields}
 \uses{monitor-untested}{*monitor-table*}
-<<defun monitor-untested>>=
+<<defun monitor-untested 0>>=
 (defun monitor-untested ()
  "return a list of the functions with zero count fields"
  (let (result)
@@ -39332,7 +39332,7 @@ for example:
 \defun{monitor-tested}{Return a list of functions with non-zero counts}
 \calls{monitor-tested}{monitor-delete}
 \uses{monitor-tested}{*monitor-table*)}
-<<defun monitor-tested>>=
+<<defun monitor-tested 0>>=
 (defun monitor-tested (&optional delete)
  "return a list of functions with non-zero counts, optionally deleting them"
  (let (result)
@@ -39349,7 +39349,7 @@ for example:
 @
 
 \defun{monitor-write}{Write out a list of symbols or structures to a file}
-<<defun monitor-write>>=
+<<defun monitor-write 0>>=
 (defun monitor-write (items file)
  "write out a list of symbols or structures to a file"
  (with-open-file (out file :direction :output)
@@ -39366,7 +39366,7 @@ for example:
 \defun{monitor-checkpoint}{Save the *monitor-table* in loadable form}
 \uses{monitor-checkpoint}{*monitor-table*}
 \uses{monitor-checkpoint}{*print-package*}
-<<defun monitor-checkpoint>>=
+<<defun monitor-checkpoint 0>>=
 (defun monitor-checkpoint (file)
  "save the *monitor-table* in loadable form"
  (let ((*print-package* t))
@@ -39390,7 +39390,7 @@ for example:
 @
 
 \defun{monitor-restore}{restore a checkpointed file}
-<<defun monitor-restore>>=
+<<defun monitor-restore 0>>=
 (defun monitor-restore (file)
  "restore a checkpointed file"
  (load file))
@@ -39398,7 +39398,7 @@ for example:
 @
 
 \defun{monitor-help}{Printing help documentation}
-<<defun monitor-help>>=
+<<defun monitor-help 0>>=
 (defun monitor-help ()
  (format t "~%
 ;;; MONITOR                                                                
@@ -39512,7 +39512,7 @@ for example:
 \subsection{Monitoring algebra files}
 \defun{monitor-dirname}{Monitoring algebra code.lsp files}
 \uses{monitor-dirname}{*monitor-nrlibs*}
-<<defun monitor-dirname>>=
+<<defun monitor-dirname 0>>=
 (defun monitor-dirname (args)
   "expects a list of 1 libstream (loadvol's arglist) and monitors the source"
  (let (name)
@@ -39527,7 +39527,7 @@ for example:
 @
 
 \defun{monitor-autoload}{Monitor autoloaded files}
-<<defun monitor-autoload>>=
+<<defun monitor-autoload 0>>=
 (defun monitor-autoload ()
  "traces autoload of algebra to monitor corresponding source files"
  (trace (vmlisp::loadvol 
@@ -39538,7 +39538,7 @@ for example:
 
 \defun{monitor-nrlib}{Monitor an nrlib}
 \uses{monitor-nrlib}{*monitor-table*}
-<<defun monitor-nrlib>>=
+<<defun monitor-nrlib 0>>=
 (defun monitor-nrlib (nrlib)
  "takes an nrlib name as a string (eg POLY) and returns a list of 
   monitor-data structures from that source file"
@@ -39557,7 +39557,7 @@ for example:
 @
 
 \defun{monitor-libname}{Given a monitor-data item, extract the nrlib name}
-<<defun monitor-libname>>=
+<<defun monitor-libname 0>>=
 (defun monitor-libname (item)
   "given a monitor-data item, extract the nrlib name"
   (pathname-name (car (last
@@ -39566,7 +39566,7 @@ for example:
 @
 
 \defun{monitor-exposedp}{Is this an exposed algebra function?}
-<<defun monitor-exposedp>>=
+<<defun monitor-exposedp 0>>=
 (defun monitor-exposedp (fn)
  "exposed functions have more than 1 semicolon. given a symbol, count them"
    (> (count #\; (symbol-name fn)) 1))
@@ -39580,7 +39580,7 @@ This needs to work off the internal exposure list, not the file.
 \catches{monitor-readinterp}{done}
 \throws{monitor-readinterp}{done}
 \uses{monitor-readinterp}{*monitor-domains*}
-<<defun monitor-readinterp>>=
+<<defun monitor-readinterp 0>>=
 (defun monitor-readinterp ()
   "read interp.exposed to initialize *monitor-domains* to exposed domains.
    this is the default action. adding or deleting domains from the list
@@ -39613,7 +39613,7 @@ This needs to work off the internal exposure list, not the file.
 \defun{monitor-report}{Generate a report of the monitored domains}
 \calls{monitor-report}{monitor-readinterp}
 \uses{monitor-report}{*monitor-domains*}
-<<defun monitor-report>>=
+<<defun monitor-report 0>>=
 (defun monitor-report ()
  "generate a report of the monitored activity for domains in *monitor-domains*"
  (let (nrlibs nonzero total)
@@ -39655,7 +39655,7 @@ This needs to work off the internal exposure list, not the file.
 @
 
 \defun{monitor-parse}{Parse an )abbrev expression for the domain name}
-<<defun monitor-parse>>=
+<<defun monitor-parse 0>>=
 (defun monitor-parse (expr)
   (let (point1 point2)
    (setq point1 (position #\space expr :test #'char=))
@@ -39672,7 +39672,7 @@ This needs to work off the internal exposure list, not the file.
 \throws{monitor-spadfile}{done}
 \calls{monitor-spadfile}{monitor-parse}
 \uses{monitor-spadfile}{*monitor-domains*}
-<<defun monitor-spadfile>>=
+<<defun monitor-spadfile 0>>=
 (defun monitor-spadfile (name)
  "given a spad file, report all nrlibs it creates"
  (let (expr)
@@ -39690,7 +39690,7 @@ This needs to work off the internal exposure list, not the file.
 
 \defun{monitor-percent}{Print percent of functions tested}
 \uses{monitor-percent}{*monitor-table*}
-<<defun monitor-percent>>=
+<<defun monitor-percent 0>>=
 (defun monitor-percent ()
  "Print percent of functions tested"
  (let (nonzero total)
@@ -39710,7 +39710,7 @@ This needs to work off the internal exposure list, not the file.
 
 \defun{monitor-apropos}{Find all monitored symbols containing the string}
 \uses{monitor-apropos}{*monitor-table*}
-<<defun monitor-apropos>>=
+<<defun monitor-apropos 0>>=
 (defun monitor-apropos (str)
   "given a string, find all monitored symbols containing the string
    the search is case-insensitive. returns a list of monitor-data items"
@@ -39736,9 +39736,16 @@ This needs to work off the internal exposure list, not the file.
 (in-package "BOOT")
 <<initvars>>
 
+;;; level 0 macros
+
+<<defmacro bit-to-truth 0>>
+<<defmacro bvec-elt 0>>
+<<defmacro idChar? 0>>
+<<defmacro identp 0>>
+
+;;; above level 0 macros
+
 <<defmacro assq>>
-<<defmacro bit-to-truth>>
-<<defmacro bvec-elt>>
 <<defmacro bvec-setelt>>
 <<defmacro bvec-size>>
 <<defmacro cdaref2>>
@@ -39789,8 +39796,6 @@ This needs to work off the internal exposure list, not the file.
 <<defmacro dsetelt>>
 <<defmacro funfind>>
 <<defmacro hget>>
-<<defmacro idChar?>>
-<<defmacro identp>>
 <<defmacro make-cdouble-matrix>>
 <<defmacro make-cdouble-vector>>
 <<defmacro make-double-matrix>>
@@ -39803,13 +39808,290 @@ This needs to work off the internal exposure list, not the file.
 <<defmacro while>>
 <<defmacro whileWithResult>>
 
+;;; layer 0 (all common lisp)
+
+<<defun acot 0>>
+<<defun acoth 0>>
+<<defun acsc 0>>
+<<defun acsch 0>>
+<<defun asec 0>>
+<<defun asech 0>>
+<<defun axiomVersion 0>>
+
+<<defun bvec-and 0>>
+<<defun bvec-concat 0>>
+<<defun bvec-copy 0>>
+<<defun bvec-equal 0>>
+<<defun bvec-greater 0>>
+<<defun bvec-make-full 0>>
+<<defun bvec-nand 0>>
+<<defun bvec-nor 0>>
+<<defun bvec-not 0>>
+<<defun bvec-or 0>>
+<<defun bvec-xor 0>>
+
+<<defun cleanupLine 0>>
+<<defun clearMacroTable 0>>
+<<defun concat 0>>
+<<defun cot 0>>
+<<defun coth 0>>
+<<defun createCurrentInterpreterFrame 0>>
+<<defun credits 0>>
+<<defun csc 0>>
+<<defun csch 0>>
+
+<<defun Delay 0>>
+<<defun desiredMsg 0>>
+<<defun DirToString 0>>
+<<defun divide2 0>>
+<<defun dqAppend 0>>
+<<defun dqToList 0>>
+<<defun dqUnit 0>>
+
+<<defun emptyInterpreterFrame 0>>
+
+<<defun fin 0>>
+<<defun findFrameInRing 0>>
+<<defun flatten 0>>
+<<defun fnameExists? 0>>
+<<defun fnameName 0>>
+<<defun fnameReadable? 0>>
+<<defun fnameType 0>>
+<<defun frameExposureData 0>>
+<<defun frameHiFiAccess 0>>
+<<defun frameHistList 0>>
+<<defun frameHistListAct 0>>
+<<defun frameHistListLen 0>>
+<<defun frameHistoryTable 0>>
+<<defun frameHistRecord 0>>
+<<defun frameInteractive 0>>
+<<defun frameIOIndex 0>>
+<<defun frameName 0>>
+<<defun frameNames 0>>
+<<defun From 0>>
+<<defun FromTo 0>>
+
+<<defun get-current-directory 0>>
+<<defun getenviron 0>>
+<<defun getLinePos 0>>
+<<defun getLineText 0>>
+<<defun getMsgArgL 0>>
+<<defun getMsgKey 0>>
+<<defun getMsgKey? 0>>
+<<defun getMsgPrefix 0>>
+<<defun getMsgPosTagOb 0>>
+<<defun getMsgPrefix? 0>>
+<<defun getMsgTag 0>>
+<<defun getMsgTag? 0>>
+<<defun getMsgText 0>>
+<<defun getParserMacroNames 0>>
+<<defun getPreStL 0>>
+
+<<defun hasOptArgs? 0>>
+
+<<defun incActive? 0>>
+<<defun incCommand? 0>>
+<<defun incDrop 0>>
+<<defun incHandleMessage 0>>
+<<defun inclmsgConsole 0>>
+<<defun inclmsgFinSkipped 0>>
+<<defun inclmsgPrematureEOF 0>>
+<<defun inclmsgCmdBug 0>>
+<<defun inclmsgIfBug 0>>
+<<defun incPrefix? 0>>
+<<defun init-memory-config 0>>
+<<defun insertPos 0>>
+<<defun integer-decode-float-denominator 0>>
+<<defun integer-decode-float-exponent 0>>
+<<defun integer-decode-float-sign 0>>
+<<defun integer-decode-float-numerator 0>>
+<<defun intloopPrefix? 0>>
+<<defun isIntegerString 0>>
+
+<<defun keyword 0>>
+<<defun keyword? 0>>
+
+<<defun lfcomment 0>>
+<<defun lferror 0>>
+<<defun lffloat 0>>
+<<defun lfid 0>>
+<<defun lfinteger 0>>
+<<defun lfnegcomment 0>>
+<<defun lfrinteger 0>>
+<<defun lfspaces 0>>
+<<defun lfstring 0>>
+<<defun lnCreate 0>>
+<<defun lnExtraBlanks 0>>
+<<defun lnFileName? 0>>
+<<defun lnGlobalNum 0>>
+<<defun lnImmediate? 0>>
+<<defun lnLocalNum 0>>
+<<defun lnPlaceOfOrigin 0>>
+<<defun lnSetGlobalNum 0>>
+<<defun lnString 0>>
+
+<<defun mac0Define 0>>
+<<defun mac0InfiniteExpansion,name 0>>
+<<defun make-absolute-filename 0>>
+<<defun makeInitialModemapFrame 0>>
+<<defun manexp 0>>
+<<defun member 0>>
+<<defun monitor-add 0>>
+<<defun monitor-apropos 0>>
+<<defun monitor-autoload 0>>
+<<defun monitor-checkpoint 0>>
+<<defun monitor-decr 0>>
+<<defun monitor-delete 0>>
+<<defun monitor-dirname 0>>
+<<defun monitor-disable 0>>
+<<defun monitor-enable 0>>
+<<defun monitor-end 0>>
+<<defun monitor-exposedp 0>>
+<<defun monitor-file 0>>
+<<defun monitor-help 0>>
+<<defun monitor-incr 0>>
+<<defun monitor-info 0>>
+<<defun monitor-inittable 0>>
+<<defun monitor-libname 0>>
+<<defun monitor-nrlib 0>>
+<<defun monitor-parse 0>>
+<<defun monitor-percent 0>>
+<<defun monitor-readinterp 0>>
+<<defun monitor-report 0>>
+<<defun monitor-reset 0>>
+<<defun monitor-restore 0>>
+<<defun monitor-results 0>>
+<<defun monitor-spadfile 0>>
+<<defun monitor-tested 0>>
+<<defun monitor-untested 0>>
+<<defun monitor-write 0>>
+
+<<defun ncError 0>>
+<<defun ncloopEscaped 0>>
+<<defun ncloopPrefix? 0>>
+<<defun ncloopPrintLines 0>>
+<<defun nonBlank 0>>
+<<defun npAnyNo 0>>
+<<defun npboot 0>>
+<<defun npEqPeek 0>>
+<<defun nplisp 0>>
+<<defun npPop1 0>>
+<<defun npPop2 0>>
+<<defun npPop3 0>>
+<<defun npPush 0>>
+
+<<defun opTran 0>>
+
+<<defun packageTran 0>>
+<<defun pfAndLeft 0>>
+<<defun pfAndRight 0>>
+<<defun pfAppend 0>>
+<<defun pfApplicationArg 0>>
+<<defun pfApplicationOp 0>>
+<<defun pfAssignLhsItems 0>>
+<<defun pf0AssignLhsItems 0>>
+<<defun pfAssignRhs 0>>
+<<defun pfBreakFrom 0>>
+<<defun pfCoercetoExpr 0>>
+<<defun pfCoercetoType 0>>
+<<defun pfCollectBody 0>>
+<<defun pfCollectIterators 0>>
+<<defun pfDefinitionLhsItems 0>>
+<<defun pfDefinitionRhs 0>>
+<<defun pfDoBody 0>>
+<<defun pfExitCond 0>>
+<<defun pfExitExpr 0>>
+<<defun pfFirst 0>>
+<<defun pfFreeItems 0>>
+<<defun pfForinLhs 0>>
+<<defun pfForinWhole 0>>
+<<defun pfFromdomDomain 0>>
+<<defun pfFromdomWhat 0>>
+<<defun pfIfCond 0>>
+<<defun pfIfElse 0>>
+<<defun pfIfThen 0>>
+<<defun pfLambdaArgs 0>>
+<<defun pfLambdaBody 0>>
+<<defun pfLambdaRets 0>>
+<<defun pfLiteral? 0>>
+<<defun pfLocalItems 0>>
+<<defun pfLoopIterators 0>>
+<<defun pfMacroLhs 0>>
+<<defun pfMacroRhs 0>>
+<<defun pfMLambdaArgs 0>>
+<<defun pfMLambdaBody 0>>
+<<defun pfNotArg 0>>
+<<defun pfNovalueExpr 0>>
+<<defun pfOrLeft 0>>
+<<defun pfOrRight 0>>
+<<defun pfParts 0>>
+<<defun pfPile 0>>
+<<defun pfPretendExpr 0>>
+<<defun pfPretendType 0>>
+<<defun pfRestrictExpr 0>>
+<<defun pfRestrictType 0>>
+<<defun pfReturnExpr 0>>
+<<defun pfRuleLhsItems 0>>
+<<defun pfRuleRhs 0>>
+<<defun pfSecond 0>>
+<<defun pfSequenceArgs 0>>
+<<defun pfSuchthatCond 0>>
+<<defun pfTaggedExpr 0>>
+<<defun pfTaggedTag 0>>
+<<defun pfTree 0>>
+<<defun pfTypedId 0>>
+<<defun pfTypedType 0>>
+<<defun pfTupleParts 0>>
+<<defun pfWhereContext 0>>
+<<defun pfWhereExpr 0>>
+<<defun pfWhileCond 0>>
+<<defun pmDontQuote? 0>>
+<<defun poCharPosn 0>>
+<<defun poGetLineObject 0>>
+<<defun poNopos? 0>>
+<<defun poNoPosition 0>>
+<<defun poNoPosition? 0>>
+<<defun printAsTeX 0>>
+
+<<defun qenum 0>>
+<<defun quotient2 0>>
+
+<<defun rdigit? 0>>
+<<defun reclaim 0>>
+<<defun remainder2 0>>
+<<defun remLine 0>>
+<<defun rep 0>>
+<<defun resetStackLimits 0>>
+
+<<defun sameUnionBranch 0>>
+<<defun satisfiesUserLevel 0>>
+<<defun scanCloser? 0>>
+<<defun sec 0>>
+<<defun sech 0>>
+<<defun setCurrentLine 0>>
+<<defun setMsgPrefix 0>>
+<<defun setMsgText 0>>
+<<defun set-restart-hook 0>>
+<<defun showMsgPos? 0>>
+<<defun StreamNull 0>>
+<<defun stripLisp 0>>
+<<defun stripSpaces 0>>
+
+<<defun theid 0>>
+<<defun thefname 0>>
+<<defun theorigin 0>>
+<<defun tokPart 0>>
+<<defun To 0>>
+<<defun Top? 0>>
+<<defun trademark 0>>
+
+<<defun zeroOneTran 0>>
+
+;;; above level 0
+
 <<defun abbQuery>>
 <<defun abbreviations>>
 <<defun abbreviationsSpad2Cmd>>
-<<defun acot>>
-<<defun acoth>>
-<<defun acsc>>
-<<defun acsch>>
 <<defun addBinding>>
 <<defun addBindingInteractive>>
 <<defun addInputLibrary>>
@@ -39823,11 +40105,8 @@ This needs to work off the internal exposure list, not the file.
 <<defun alqlGetKindString>>
 <<defun alreadyOpened?>>
 <<defun apropos>>
-<<defun asec>>
-<<defun asech>>
 <<defun assertCond>>
 <<defun augmentTraceNames>>
-<<defun axiomVersion>>
 
 <<defun break>>
 <<defun breaklet>>
@@ -39835,17 +40114,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun brightprint-0>>
 <<defun browse>>
 <<defun browseOpen>>
-<<defun bvec-and>>
-<<defun bvec-concat>>
-<<defun bvec-copy>>
-<<defun bvec-equal>>
-<<defun bvec-greater>>
-<<defun bvec-make-full>>
-<<defun bvec-nand>>
-<<defun bvec-nor>>
-<<defun bvec-not>>
-<<defun bvec-or>>
-<<defun bvec-xor>>
 
 <<defun cacheKeyedMsg>>
 <<defun categoryOpen>>
@@ -39853,7 +40121,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun changeToNamedInterpreterFrame>>
 <<defun charDigitVal>>
 <<defun cleanline>>
-<<defun cleanupLine>>
 <<defun clear>>
 <<defun clearCmdAll>>
 <<defun clearCmdCompletely>>
@@ -39861,7 +40128,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun clearCmdParts>>
 <<defun clearCmdSortedCaches>>
 <<defun clearFrame>>
-<<defun clearMacroTable>>
 <<defun clearParserMacro>>
 <<defun clearSpad2Cmd>>
 <<defun close>>
@@ -39879,21 +40145,13 @@ This needs to work off the internal exposure list, not the file.
 <<defun compareposns>>
 <<defun compileBoot>>
 <<defun compressOpen>>
-<<defun concat>>
 <<defun constoken>>
 <<defun copyright>>
-<<defun cot>>
-<<defun coth>>
 <<defun countCache>>
-<<defun createCurrentInterpreterFrame>>
-<<defun credits>>
-<<defun csc>>
-<<defun csch>>
 
 <<defun DaaseName>>
 <<defun decideHowMuch>>
 <<defun defiostream>>
-<<defun Delay>>
 <<defun deldatabase>>
 <<defun deleteFile>>
 <<defun describe>>
@@ -39917,14 +40175,12 @@ This needs to work off the internal exposure list, not the file.
 <<defun describeSetOutputTex>>
 <<defun describeSetStreamsCalculate>>
 <<defun describeSpad2Cmd>>
-<<defun desiredMsg>>
 <<defun dewritify>>
 <<defun dewritify,dewritifyInner>>
 <<defun dewritify,is?>>
 <<defun diffAlist>>
 <<defun digit?>>
 <<defun digitp>>
-<<defun DirToString>>
 <<defun disableHist>>
 <<defun display>>
 <<defun displayCondition>>
@@ -39947,13 +40203,9 @@ This needs to work off the internal exposure list, not the file.
 <<defun displayType>>
 <<defun displayValue>>
 <<defun displayWorkspaceNames>>
-<<defun divide2>>
 <<defun domainToGenvar>>
 <<defun doSystemCommand>>
-<<defun dqAppend>>
 <<defun dqConcat>>
-<<defun dqToList>>
-<<defun dqUnit>>
 <<defun dropInputLibrary>>
 <<defun dumbTokenize>>
 
@@ -39962,7 +40214,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun editSpad2Cmd>>
 <<defun Else?>>
 <<defun Elseif?>>
-<<defun emptyInterpreterFrame>>
 <<defun enPile>>
 <<defun eofp>>
 <<defun eqpileTree>>
@@ -39978,36 +40229,17 @@ This needs to work off the internal exposure list, not the file.
 <<defun filterAndFormatConstructors>>
 <<defun filterListOfStrings>>
 <<defun filterListOfStringsWithFn>>
-<<defun findFrameInRing>>
 <<defun firstTokPosn>>
 <<defun fixObjectForPrinting>>
-<<defun flatten>>
 <<defun flattenOperationAlist>>
 <<defun float2Sex>>
 <<defun fnameDirectory>>
-<<defun fnameExists?>>
 <<defun fnameMake>>
-<<defun fnameName>>
 <<defun fnameNew>>
-<<defun fnameReadable?>>
-<<defun fnameType>>
 <<defun fnameWritable?>>
 <<defun frame>>
 <<defun frameEnvironment>>
-<<defun frameExposureData>>
-<<defun frameHiFiAccess>>
-<<defun frameHistList>>
-<<defun frameHistListAct>>
-<<defun frameHistListLen>>
-<<defun frameHistoryTable>>
-<<defun frameHistRecord>>
-<<defun frameInteractive>>
-<<defun frameIOIndex>>
-<<defun frameName>>
-<<defun frameNames>>
 <<defun frameSpad2Cmd>>
-<<defun From>>
-<<defun FromTo>>
 <<defun functionp>>
 <<defun funfind,LAM>>
 
@@ -40017,36 +40249,21 @@ This needs to work off the internal exposure list, not the file.
 <<defun getAndSay>>
 <<defun getBpiNameIfTracedMap>>
 <<defun getBrowseDatabase>>
-<<defun get-current-directory>>
 <<defun getdatabase>>
 <<defun getDirectoryList>>
-<<defun getenviron>>
 <<defun getFirstWord>>
 <<defun getKeyedMsg>>
-<<defun getLinePos>>
-<<defun getLineText>>
 <<defun getMapSig>>
 <<defun getMapSubNames>>
-<<defun getMsgArgL>>
 <<defun getMsgCatAttr>>
 <<defun getMsgFTTag?>>
 <<defun getMsgInfoFromKey>>
-<<defun getMsgKey>>
-<<defun getMsgKey?>>
 <<defun getMsgLitSym>>
-<<defun getMsgPrefix>>
 <<defun getMsgPos>>
 <<defun getMsgPos2>>
-<<defun getMsgPosTagOb>>
-<<defun getMsgPrefix?>>
-<<defun getMsgTag>>
-<<defun getMsgTag?>>
-<<defun getMsgText>>
 <<defun getMsgToWhere>>
 <<defun getOption>>
-<<defun getParserMacroNames>>
 <<defun getPosStL>>
-<<defun getPreStL>>
 <<defun getPreviousMapSubNames>>
 <<defun getProplist>>
 <<defun getStFromMsg>>
@@ -40060,7 +40277,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun handleParsedSystemCommands>>
 <<defun handleTokensizeSystemCommands>>
 <<defun hashable>>
-<<defun hasOptArgs?>>
 <<defun hasOption>>
 <<defun hasPair>>
 <<defun help>>
@@ -40076,40 +40292,30 @@ This needs to work off the internal exposure list, not the file.
 <<defun If?>>
 <<defun ifCond>>
 <<defun importFromFrame>>
-<<defun incActive?>>
 <<defun incAppend>>
 <<defun incAppend1>>
 <<defun incBiteOff>>
 <<defun incClassify>>
-<<defun incCommand?>>
 <<defun incCommandTail>>
 <<defun incConsoleInput>>
-<<defun incDrop>>
 <<defun incFileInput>>
 <<defun incFileName>>
-<<defun incHandleMessage>>
 <<defun incIgen>>
 <<defun incIgen1>>
 <<defun inclFname>>
 <<defun incLine>>
 <<defun incLine1>>
 <<defun inclmsgCannotRead>>
-<<defun inclmsgConsole>>
 <<defun inclmsgFileCycle>>
-<<defun inclmsgFinSkipped>>
-<<defun inclmsgPrematureEOF>>
 <<defun inclmsgPrematureFin>>
 <<defun incLude>>
 <<defun incLude1>>
-<<defun inclmsgCmdBug>>
 <<defun inclmsgConActive>>
 <<defun inclmsgConStill>>
-<<defun inclmsgIfBug>>
 <<defun inclmsgIfSyntax>>
 <<defun inclmsgNoSuchFile>>
 <<defun inclmsgSay>>
 <<defun incNConsoles>>
-<<defun incPrefix?>>
 <<defun incRenumber>>
 <<defun incRenumberItem>>
 <<defun incRenumberLine>>
@@ -40127,15 +40333,9 @@ This needs to work off the internal exposure list, not the file.
 <<defun initialize-preparse>>
 <<defun initializeSetVariables>>
 <<defun initImPr>>
-<<defun init-memory-config>>
 <<defun initroot>>
 <<defun initToWhere>>
 <<defun insertpile>>
-<<defun insertPos>>
-<<defun integer-decode-float-denominator>>
-<<defun integer-decode-float-exponent>>
-<<defun integer-decode-float-numerator>>
-<<defun integer-decode-float-sign>>
 <<defun InterpExecuteSpadSystemCommand>>
 <<defun interpFunctionDepAlists>>
 <<defun interpOpen>>
@@ -40149,7 +40349,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun intloopInclude>>
 <<defun intloopInclude0>>
 <<defun intnplisp>>
-<<defun intloopPrefix?>>
 <<defun intloopProcess>>
 <<defun intloopProcessString>>
 <<defun intloopReadConsole>>
@@ -40159,7 +40358,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun intSayKeyedMsg>>
 <<defun isDomainOrPackage>>
 <<defun isgenvar>>
-<<defun isIntegerString>>
 <<defun isInterpOnlyMap>>
 <<defun isListOfIdentifiers>>
 <<defun isListOfIdentifiersOrStrings>>
@@ -40172,8 +40370,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun justifyMyType>>
 
 <<defun KeepPart?>>
-<<defun keyword>>
-<<defun keyword?>>
 
 <<defun lassocSub>>
 <<defun lastTokPosn>>
@@ -40182,32 +40378,14 @@ This needs to work off the internal exposure list, not the file.
 <<defun letPrint>>
 <<defun letPrint2>>
 <<defun letPrint3>>
-<<defun lfcomment>>
-<<defun lferror>>
-<<defun lffloat>>
-<<defun lfid>>
-<<defun lfinteger>>
 <<defun lfkey>>
-<<defun lfnegcomment>>
-<<defun lfrinteger>>
-<<defun lfspaces>>
-<<defun lfstring>>
 <<defun library>>
 <<defun line?>>
 <<defun lineoftoks>>
 <<defun listConstructorAbbreviations>>
 <<defun listDecideHowMuch>>
 <<defun listOutputter>>
-<<defun lnCreate>>
-<<defun lnExtraBlanks>>
 <<defun lnFileName>>
-<<defun lnFileName?>>
-<<defun lnGlobalNum>>
-<<defun lnImmediate?>>
-<<defun lnLocalNum>>
-<<defun lnPlaceOfOrigin>>
-<<defun lnSetGlobalNum>>
-<<defun lnString>>
 <<defun load>>
 <<defun localdatabase>>
 <<defun localnrlib>>
@@ -40227,20 +40405,16 @@ This needs to work off the internal exposure list, not the file.
 <<defun macroExpanded>>
 <<defun macWhere>>
 <<defun macWhere,mac>>
-<<defun mac0Define>>
 <<defun mac0ExpandBody>>
 <<defun mac0Get>>
 <<defun mac0GetName>>
 <<defun mac0InfiniteExpansion>>
-<<defun mac0InfiniteExpansion,name>>
 <<defun mac0MLambdaApply>>
 <<defun mac0SubstituteOuter>>
-<<defun make-absolute-filename>>
 <<defun make-appendstream>>
 <<defun make-databases>>
 <<defun makeFullNamestring>>
 <<defun makeHistFileName>>
-<<defun makeInitialModemapFrame>>
 <<defun makeInputFilename>>
 <<defun make-instream>>
 <<defun makeLeaderMsg>>
@@ -40248,44 +40422,13 @@ This needs to work off the internal exposure list, not the file.
 <<defun make-outstream>>
 <<defun makePathname>>
 <<defun makeStream>>
-<<defun manexp>>
 <<defun mapLetPrint>>
-<<defun member>>
 <<defun mergePathnames>>
 <<defun messageprint>>
 <<defun messageprint-1>>
 <<defun messageprint-2>>
 <<defun mkLineList>>
 <<defun mkprompt>>
-<<defun monitor-add>>
-<<defun monitor-apropos>>
-<<defun monitor-autoload>>
-<<defun monitor-checkpoint>>
-<<defun monitor-decr>>
-<<defun monitor-delete>>
-<<defun monitor-dirname>>
-<<defun monitor-disable>>
-<<defun monitor-enable>>
-<<defun monitor-end>>
-<<defun monitor-exposedp>>
-<<defun monitor-file>>
-<<defun monitor-help>>
-<<defun monitor-incr>>
-<<defun monitor-info>>
-<<defun monitor-inittable>>
-<<defun monitor-libname>>
-<<defun monitor-nrlib>>
-<<defun monitor-parse>>
-<<defun monitor-percent>>
-<<defun monitor-readinterp>>
-<<defun monitor-report>>
-<<defun monitor-reset>>
-<<defun monitor-restore>>
-<<defun monitor-results>>
-<<defun monitor-spadfile>>
-<<defun monitor-tested>>
-<<defun monitor-untested>>
-<<defun monitor-write>>
 <<defun msgCreate>>
 <<defun msgImPr?>>
 <<defun msgNoRep?>>
@@ -40299,19 +40442,15 @@ This needs to work off the internal exposure list, not the file.
 <<defun ncConversationPhase>>
 <<defun ncConversationPhase,wrapup>>
 <<defun ncEltQ>>
-<<defun ncError>>
 <<defun ncHardError>>
 <<defun ncIntLoop>>
 <<defun ncloopCommand>>
 <<defun ncloopDQlines>>
-<<defun ncloopEscaped>>
 <<defun ncloopIncFileName>>
 <<defun ncloopInclude>>
 <<defun ncloopInclude0>>
 <<defun ncloopInclude1>>
 <<defun ncloopParse>>
-<<defun ncloopPrefix?>>
-<<defun ncloopPrintLines>>
 <<defun ncParseAndInterpretString>>
 <<defun ncPutQ>>
 <<defun ncSoftError>>
@@ -40323,14 +40462,12 @@ This needs to work off the internal exposure list, not the file.
 <<defun nextInterpreterFrame>>
 <<defun nextline>>
 <<defun next-lines-clear>>
-<<defun nonBlank>>
 <<defun npAdd>>
 <<defun npADD>>
 <<defun npAmpersand>>
 <<defun npAmpersandFrom>>
 <<defun npAndOr>>
 <<defun npAngleBared>>
-<<defun npAnyNo>>
 <<defun npApplication>>
 <<defun npApplication2>>
 <<defun npArith>>
@@ -40342,7 +40479,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun npBacksetElse>>
 <<defun npBackTrack>>
 <<defun npBDefinition>>
-<<defun npboot>>
 <<defun npBPileDefinition>>
 <<defun npBraced>>
 <<defun npBracked>>
@@ -40382,7 +40518,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun npEncl>>
 <<defun npEnclosed>>
 <<defun npEqKey>>
-<<defun npEqPeek>>
 <<defun npExit>>
 <<defun npExpress>>
 <<defun npExpress1>>
@@ -40411,7 +40546,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun npLeftAssoc>>
 <<defun npLet>>
 <<defun npLetQualified>>
-<<defun nplisp>>
 <<defun npList>>
 <<defun npListAndRecover>>
 <<defun npListing>>
@@ -40441,9 +40575,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun npPileBracketed>>
 <<defun npPileDefinitionlist>>
 <<defun npPileExit>>
-<<defun npPop1>>
-<<defun npPop2>>
-<<defun npPop3>>
 <<defun npPower>>
 <<defun npPP>>
 <<defun npPPf>>
@@ -40456,7 +40587,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun npPrimary2>>
 <<defun npProcessSynonym>>
 <<defun npProduct>>
-<<defun npPush>>
 <<defun npPushId>>
 <<defun npRelation>>
 <<defun npRemainder>>
@@ -40523,10 +40653,8 @@ This needs to work off the internal exposure list, not the file.
 <<defun operationOpen>>
 <<defun optionError>>
 <<defun optionUserLevelError>>
-<<defun opTran>>
 <<defun orderBySlotNumber>>
 
-<<defun packageTran>>
 <<defun parseAndInterpret>>
 <<defun parseFromString>>
 <<defun parseSystemCmd>>
@@ -40543,18 +40671,11 @@ This needs to work off the internal exposure list, not the file.
 <<defun pfAdd>>
 <<defun pfAnd>>
 <<defun pfAnd?>>
-<<defun pfAndLeft>>
-<<defun pfAndRight>>
-<<defun pfAppend>>
 <<defun pfApplication>>
-<<defun pfApplicationArg>>
-<<defun pfApplicationOp>>
 <<defun pfApplication?>>
 <<defun pfApplication2Sex>>
 <<defun pfAssign>>
 <<defun pfAssign?>>
-<<defun pfAssignLhsItems>>
-<<defun pfAssignRhs>>
 <<defun pfAttribute>>
 <<defun pfBrace>>
 <<defun pfBraceBar>>
@@ -40562,7 +40683,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun pfBracketBar>>
 <<defun pfBreak>>
 <<defun pfBreak?>>
-<<defun pfBreakFrom>>
 <<defun pfCharPosn>>
 <<defun pfCheckArg>>
 <<defun pfCheckMacroOut>>
@@ -40570,49 +40690,34 @@ This needs to work off the internal exposure list, not the file.
 <<defun pfCheckItOut>>
 <<defun pfCoerceto>>
 <<defun pfCoerceto?>>
-<<defun pfCoercetoExpr>>
-<<defun pfCoercetoType>>
 <<defun pfCollect>>
 <<defun pfCollect?>>
 <<defun pfCollect1?>>
 <<defun pfCollectArgTran>>
-<<defun pfCollectBody>>
-<<defun pfCollectIterators>>
 <<defun pfCollectVariable1>>
 <<defun pfCollect2Sex>>
 <<defun pfCopyWithPos>>
 <<defun pfDefinition>>
-<<defun pfDefinitionLhsItems>>
-<<defun pfDefinitionRhs>>
 <<defun pfDefinition?>>
 <<defun pfDefinition2Sex>>
 <<defun pfDo>>
 <<defun pfDo?>>
-<<defun pfDoBody>>
 <<defun pfDocument>>
 <<defun pfEnSequence>>
 <<defun pfExit>>
 <<defun pfExit?>>
-<<defun pfExitCond>>
-<<defun pfExitExpr>>
 <<defun pfExport>>
 <<defun pfExpression>>
 <<defun pfFileName>>
-<<defun pfFirst>>
 <<defun pfFix>>
 <<defun pfFlattenApp>>
 <<defun pfFree>>
 <<defun pfFree?>>
-<<defun pfFreeItems>>
 <<defun pfForin>>
 <<defun pfForin?>>
-<<defun pfForinLhs>>
-<<defun pfForinWhole>>
 <<defun pfFromDom>>
 <<defun pfFromdom>>
 <<defun pfFromdom?>>
-<<defun pfFromdomDomain>>
-<<defun pfFromdomWhat>>
 <<defun pfGlobalLinePosn>>
 <<defun pfHide>>
 <<defun pfId>>
@@ -40621,9 +40726,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun pfIdSymbol>>
 <<defun pfIf>>
 <<defun pfIf?>>
-<<defun pfIfCond>>
-<<defun pfIfElse>>
-<<defun pfIfThen>>
 <<defun pfIfThenOnly>>
 <<defun pfImport>>
 <<defun pfInline>>
@@ -40632,9 +40734,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun pfIterate?>>
 <<defun pfLam>>
 <<defun pfLambda>>
-<<defun pfLambdaArgs>>
-<<defun pfLambdaBody>>
-<<defun pfLambdaRets>>
 <<defun pfLambdaTran>>
 <<defun pfLambda?>>
 <<defun pfLambda2Sex>>
@@ -40645,71 +40744,49 @@ This needs to work off the internal exposure list, not the file.
 <<defun pfLhsRule2Sex>>
 <<defun pfLinePosn>>
 <<defun pfListOf>>
-<<defun pfLiteral?>>
 <<defun pfLiteralClass>>
 <<defun pfLiteralString>>
 <<defun pfLiteral2Sex>>
 <<defun pfLocal>>
-<<defun pfLocalItems>>
 <<defun pfLocal?>>
-<<defun pfLoopIterators>>
 <<defun pfLoop>>
 <<defun pfLoop1>>
 <<defun pfLoop?>>
 <<defun pfLp>>
 <<defun pfMacro>>
 <<defun pfMacro?>>
-<<defun pfMacroLhs>>
-<<defun pfMacroRhs>>
 <<defun pfMapParts>>
 <<defun pfMLambda>>
 <<defun pfMLambda?>>
-<<defun pfMLambdaArgs>>
-<<defun pfMLambdaBody>>
 <<defun pfname>>
 <<defun pfNoPosition>>
 <<defun pfNoPosition?>>
 <<defun pfNot?>>
-<<defun pfNotArg>>
 <<defun pfNothing>>
 <<defun pfNothing?>>
 <<defun pfNovalue>>
 <<defun pfNovalue?>>
-<<defun pfNovalueExpr>>
 <<defun pfOp2Sex>>
 <<defun pfOr>>
 <<defun pfOr?>>
-<<defun pfOrLeft>>
-<<defun pfOrRight>>
 <<defun pfParen>>
-<<defun pfParts>>
-<<defun pfPile>>
 <<defun pfPretend>>
 <<defun pfPretend?>>
-<<defun pfPretendExpr>>
-<<defun pfPretendType>>
 <<defun pfPushBody>>
 <<defun pfPushMacroBody>>
 <<defun pfQualType>>
 <<defun pfRestrict>>
 <<defun pfRestrict?>>
-<<defun pfRestrictExpr>>
-<<defun pfRestrictType>>
 <<defun pfRetractTo>>
 <<defun pfReturn>>
 <<defun pfReturn?>>
-<<defun pfReturnExpr>>
 <<defun pfReturnNoName>>
 <<defun pfReturnTyped>>
 <<defun pfRhsRule2Sex>>
 <<defun pfRule>>
-<<defun pfRuleLhsItems>>
-<<defun pfRuleRhs>>
 <<defun pfRule?>>
 <<defun pfRule2Sex>>
-<<defun pfSecond>>
 <<defun pfSequence>>
-<<defun pfSequenceArgs>>
 <<defun pfSequence?>>
 <<defun pfSequenceToList>>
 <<defun pfSequence2Sex>>
@@ -40722,7 +40799,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun pfSuch>>
 <<defun pfSuchthat>>
 <<defun pfSuchthat?>>
-<<defun pfSuchthatCond>>
 <<defun pfSuchThat2Sex>>
 <<defun pfSymb>>
 <<defun pfSymbol>>
@@ -40730,37 +40806,27 @@ This needs to work off the internal exposure list, not the file.
 <<defun pfSymbolSymbol>>
 <<defun pfTagged>>
 <<defun pfTagged?>>
-<<defun pfTaggedExpr>>
-<<defun pfTaggedTag>>
 <<defun pfTaggedToTyped>>
 <<defun pfTaggedToTyped1>>
 <<defun pfTransformArg>>
-<<defun pfTree>>
 <<defun pfTuple>>
 <<defun pfTupleListOf>>
 <<defun pfTweakIf>>
 <<defun pfTyped>>
 <<defun pfTyped?>>
-<<defun pfTypedId>>
-<<defun pfTypedType>>
 <<defun pfTyping>>
-<<defun pfTupleParts>>
 <<defun pfTuple?>>
 <<defun pfUnSequence>>
 <<defun pfWDec>>
 <<defun pfWDeclare>>
 <<defun pfWhere>>
 <<defun pfWhere?>>
-<<defun pfWhereContext>>
-<<defun pfWhereExpr>>
 <<defun pfWhile>>
 <<defun pfWhile?>>
-<<defun pfWhileCond>>
 <<defun pfWith>>
 <<defun pfWrong>>
 <<defun pfWrong?>>
 <<defun pf0ApplicationArgs>>
-<<defun pf0AssignLhsItems>>
 <<defun pf0DefinitionLhsItems>>
 <<defun pf0FlattenSyntacticTuple>>
 <<defun pf0ForinLhs>>
@@ -40787,15 +40853,9 @@ This needs to work off the internal exposure list, not the file.
 <<defun pilePlusComment>>
 <<defun pilePlusComments>>
 <<defun pileTree>>
-<<defun pmDontQuote?>>
-<<defun poCharPosn>>
 <<defun poFileName>>
-<<defun poGetLineObject>>
 <<defun poGlobalLinePosn>>
 <<defun poLinePosn>>
-<<defun poNopos?>>
-<<defun poNoPosition>>
-<<defun poNoPosition?>>
 <<defun poPosImmediate?>>
 <<defun porigin>>
 <<defun posend>>
@@ -40806,7 +40866,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun preparse>>
 <<defun preparse1>>
 <<defun previousInterpreterFrame>>
-<<defun printAsTeX>>
 <<defun printLabelledList>>
 <<defun printStatisticsSummary>>
 <<defun printStorage>>
@@ -40836,23 +40895,19 @@ This needs to work off the internal exposure list, not the file.
 <<defun putHist>>
 <<defun pvarPredTran>>
 
-<<defun qenum>>
 <<defun queryClients>>
 <<defun queueUpErrors>>
 <<defun quit>>
 <<defun quitSpad2Cmd>>
-<<defun quotient2>>
 
 <<defun rassocSub>>
 <<defun rdefinstream>>
 <<defun rdefoutstream>>
-<<defun rdigit?>>
 <<defun read>>
 <<defun /read>>
 <<defun readHiFi>>
 <<defun readSpadProfileIfThere>>
 <<defun readSpad2Cmd>>
-<<defun reclaim>>
 <<defun recordAndPrint>>
 <<defun recordFrame>>
 <<defun recordNewValue>>
@@ -40860,13 +40915,10 @@ This needs to work off the internal exposure list, not the file.
 <<defun recordOldValue>>
 <<defun recordOldValue0>>
 <<defun redundant>>
-<<defun remainder2>>
 <<defun remFile>>
-<<defun remLine>>
 <<defun removeOption>>
 <<defun removeTracedMapSigs>>
 <<defun removeUndoLines>>
-<<defun rep>>
 <<defun replaceFile>>
 <<defun reportOperations>>
 <<defun reportOpsFromLisplib>>
@@ -40883,7 +40935,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun resethashtables>>
 <<defun resetInCoreHist>>
 <<defun resetSpacers>>
-<<defun resetStackLimits>>
 <<defun resetTimers>>
 <<defun resetWorkspaceVariables>>
 <<defun restart>>
@@ -40899,9 +40950,7 @@ This needs to work off the internal exposure list, not the file.
 
 <<defun safeWritify>>
 <<defun sameMsg?>>
-<<defun sameUnionBranch>>
 <<defun satisfiesRegularExpressions>>
-<<defun satisfiesUserLevel>>
 <<defun saveHistory>>
 <<defun saveMapSig>>
 <<defun savesystem>>
@@ -40915,7 +40964,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun sayMSG2File>>
 <<defun sayShowWarning>>
 <<defun scanCheckRadix>>
-<<defun scanCloser?>>
 <<defun scanComment>>
 <<defun scanDictCons>>
 <<defun scanError>>
@@ -40943,8 +40991,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun search>>
 <<defun searchCurrentEnv>>
 <<defun searchTailEnv>>
-<<defun sec>>
-<<defun sech>>
 <<defun segmentKeyedMsg>>
 <<defun selectOption>>
 <<defun selectOptionLC>>
@@ -40953,7 +40999,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun set>>
 <<defun set1>>
 <<defun setAsharpArgs>>
-<<defun setCurrentLine>>
 <<defun setdatabase>>
 <<defun setExpose>>
 <<defun setExposeAdd>>
@@ -40973,8 +41018,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun setMsgCatlessAttr>>
 <<defun setMsgForcedAttr>>
 <<defun setMsgForcedAttrList>>
-<<defun setMsgPrefix>>
-<<defun setMsgText>>
 <<defun setMsgUnforcedAttr>>
 <<defun setMsgUnforcedAttrList>>
 <<defun setNagHost>>
@@ -40987,14 +41030,12 @@ This needs to work off the internal exposure list, not the file.
 <<defun setOutputMathml>>
 <<defun setOutputOpenMath>>
 <<defun setOutputTex>>
-<<defun set-restart-hook>>
 <<defun setStreamsCalculate>>
 <<defun shortenForPrinting>>
 <<defun show>>
 <<defun showdatabase>>
 <<defun showInOut>>
 <<defun showInput>>
-<<defun showMsgPos?>>
 <<defun showSpad2Cmd>>
 <<defun shut>>
 <<defun size>>
@@ -41026,11 +41067,8 @@ This needs to work off the internal exposure list, not the file.
 <<defun startsNegComment?>>
 <<defun statisticsInitialization>>
 <<defun streamChop>>
-<<defun StreamNull>>
 <<defun stringMatches?>>
 <<defun StringToDir>>
-<<defun stripLisp>>
-<<defun stripSpaces>>
 <<defun strpos>>
 <<defun strposl>>
 <<defun stupidIsSpadFunction>>
@@ -41051,19 +41089,13 @@ This needs to work off the internal exposure list, not the file.
 <<defun tabbing>>
 <<defun terminateSystemCommand>>
 <<defun tersyscommand>>
-<<defun theid>>
-<<defun thefname>>
-<<defun theorigin>>
 <<defun thisPosIsEqual>>
 <<defun thisPosIsLess>>
 <<defun toFile?>>
 <<defun tokConstruct>>
-<<defun tokPart>>
 <<defun tokPosn>>
 <<defun tokTran>>
 <<defun tokType>>
-<<defun To>>
-<<defun Top?>>
 <<defun toScreen?>>
 <<defun trace>>
 <<defun trace1>>
@@ -41074,7 +41106,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun /tracereply>>
 <<defun traceReply>>
 <<defun traceSpad2Cmd>>
-<<defun trademark>>
 <<defun translateTrueFalse2YesNo>>
 <<defun translateYesNo2TrueFalse>>
 <<defun transOnlyOption>>
@@ -41149,7 +41180,6 @@ This needs to work off the internal exposure list, not the file.
 
 <<defun yesanswer>>
 
-<<defun zeroOneTran>>
 <<defun zsystemdevelopment>>
 <<defun zsystemdevelopment1>>
 <<defun zsystemDevelopmentSpad2Cmd>>
diff --git a/changelog b/changelog
index d42be0c..52e0bb5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100904 tpd src/axiom-website/patches.html 20100904.03.tpd.patch
+20100904 tpd books/bookvol5 mark pure common lisp routines
 20100904 tpd src/axiom-website/patches.html 20100904.02.tpd.patch
 20100904 tpd books/bookvolbib add Steele [Ste90]
 20100904 tpd src/axiom-website/patches.html 20100904.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8117f62..4493797 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3104,6 +3104,8 @@ books/bookvol9 treeshake compiler<br/>
 <a href="patches/20100904.01.tpd.patch">20100904.01.tpd.patch</a>
 src/interp/*.pamphlet remove memq<br/>
 <a href="patches/20100904.02.tpd.patch">20100904.02.tpd.patch</a>
-books/bookvolbib add Steele [Ste90]
+books/bookvolbib add Steele [Ste90]<br/>
+<a href="patches/20100904.03.tpd.patch">20100904.03.tpd.patch</a>
+books/bookvol5 mark pure common lisp routines<br/>
  </body>
 </html>
